%--------------------------------------------------------------------------
% File     : GRP003=SubGr1Subs-1 : Released v0.2.2, Updated v0.2.2.
% Domain   : Group Theory (Subgroups)
% Axioms   : Substitution axioms for subgroup axioms
% Version  : For the [McCharen, et al., 1976] axioms.
% English  :

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. 
% Source   : [McCharen, et al., 1976]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    1 (   0 non-Horn)(   0 units)
%            Number of literals          :    3 (   1 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    2 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    1

% Comments : To be used in conjunction with group theory axioms.
%          : The dependent axiom, that identity is in every subgroup, 
%            is omitted.
%--------------------------------------------------------------------------
input_clause(subgroup_member_substitution,axiom,
    [--equal(A,B),
     --subgroup_member(A),
     ++subgroup_member(B)]).
%--------------------------------------------------------------------------
