%--------------------------------------------------------------------------
% File     : BOO007=ProdAssc-2 : Released v0.0.0, Updated v0.0.0.
% Domain   : Boolean Algebra
% Problem  : Product is associative ( (X * Y) * Z = X * (Y * Z) )
% Version  : ANL (equality) axioms.
% English  : 

% Refs     : 
% Source   : Email from Veroff.
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   23 (   0 non-Horn)(  16 units)
%            Number of literals          :   31 (  31 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    8 (   5 constants)
%            Number of variables         :   44 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_associativity,theorem,
    [--equal(multiply(a,multiply(b,c)),multiply(multiply(a,b),c))]).
%--------------------------------------------------------------------------
