%--------------------------------------------------------------------------
% File     : CAT011=DomIdem-2 : Released v0.0.0, Updated v0.2.2.
% Domain   : Category Theory
% Problem  : domain(domain(x)) = domain(x)
% Version  : [Quaife, 1989] (equality) axioms.
% English  : 

% Refs     : Quaife A. (1989), Email to Larry Wos 05/02/89
% Source   : [ANL]
% Names    : p11.ver2.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   15 (   0 non-Horn)(   6 units)
%            Number of literals          :   26 (  26 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    4 (   1 constants)
%            Number of variables         :   27 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Quaife's axioms for category theory
include('Axioms/CAT002-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_domain_is_idempotent,theorem,
    [--equal(domain(domain(a)),domain(a))]).
%--------------------------------------------------------------------------
