%--------------------------------------------------------------------------
% File     : NUM284=Fibonacci-1.006 : Released v0.8.0, Updated v0.11.2.
% Domain   : Miscellaneous
% Problem  : Calculation of fibonacci numbers
% Version  : Theorem formulation : 6th fibonacci number.
% English  : 

% Refs     : 
% Source   : [SETHEO]
% Names    : fib6.lop [SETHEO]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    6 (   0 non-Horn)(   4 units)
%            Number of literals          :   12 (   0 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    2 (   1 constants)
%            Number of variables         :   11 (   1 singletons)
%            Maximal clause size         :    6
%            Maximal term depth          :    7

% Comments : 
% Bugfixes : v0.11.2 - Renamed from MSC010-1.006.
%--------------------------------------------------------------------------
input_clause(fibonacci_0,axiom,
    [++fibonacci(0,successor(0))]).

input_clause(fibonacci_1,axiom,
    [++fibonacci(successor(0),successor(0))]).

input_clause(fibonacci_N,axiom,
    [--sum(N1,successor(0),N),
     --sum(N2,successor(successor(0)),N),
     --fibonacci(N1,F1),
     --fibonacci(N2,F2),
     --sum(F1,F2,FN),
     ++fibonacci(N,FN)]).

input_clause(add_0,axiom,
    [++sum(X,0,X)]).

input_clause(add,axiom,
    [--sum(X,Y,Z),
     ++sum(X,successor(Y),successor(Z))]).

input_clause(fibonacci_2,theorem,
    [--fibonacci(successor(successor(successor(successor(successor(
successor(0)))))),Answer)]).
%--------------------------------------------------------------------------
