%--------------------------------------------------------------------------
% File     : RNG025=FlexLaw-1 : Released v0.6.0, Updated v0.6.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Middle or Flexible Law
% Version  : [Anantharaman & Hsiang, 1990] (equality) axioms.
% English  : 

% Refs     : Anantharaman S., Hsiang J. (1990), Automated Proofs of the
%            Moufang Identities in Alternative Rings, In Journal of
%            Automated Reasoning 6(1), Kluwer Academic Publishers,
%            Dordrecht, The Netherlands, 79-110.
% Source   : [Anantharaman & Hsiang, 1990]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   26 (   0 non-Horn)(  17 units)
%            Number of literals          :   36 (  36 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    6 (   3 constants)
%            Number of variables         :   52 (   2 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Ring theory (equality) axioms
include('Axioms/RNG004-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_middle_law,theorem,
    [--equal(multiply(multiply(cy,cx),cy),multiply(cy,multiply(cx,cy)))]).
%--------------------------------------------------------------------------
