%--------------------------------------------------------------------------
% File     : SET089=SgtnEl4-6 : Released v0.0.0, Updated v0.0.3.
% Domain   : Set Theory
% Problem  : A singleton set has a member, part 4
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. Theorem SS6 part 4.
% Source   : [Quaife]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  162 (   8 non-Horn)(  32 units)
%            Number of literals          :  336 ( 164 equality)
%            Number of predicate symbols :   10 (   0 propositions)
%            Number of function symbols  :   40 (   9 constants)
%            Number of variables         :  381 (  26 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : 
% Bugfixes : v0.0.2 - New axioms added to SET009.ax and SET010.ax
%          : v0.0.3 - New axioms removed from SET009.ax and SET010.ax
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(member_of_substitution1,axiom,
    [--equal(A,B),
     ++equal(member_of(A),member_of(B))]).

input_clause(prove_member_exists4_1,theorem,
    [--equal(singleton(member_of(x)),x)]).

input_clause(prove_member_exists4_2,theorem,
    [--equal(member_of(x),x)]).
%--------------------------------------------------------------------------
