%--------------------------------------------------------------------------
% File     : SYN001=Allways-1.005 : Released v0.0.0, Updated v0.6.1.
% Domain   : Syntactic
% Problem  : All signed combinations of some propositions
% Version  : Theorem formulation : 5 propositions.
% English  :

% Refs     :
% Source   : TPTP Problem Library
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   32 (  26 non-Horn)(   0 units)
%            Number of literals          :  160 (   0 equality)
%            Number of predicate symbols :    5 (   5 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v0.6.1 - Renamed from SYN004-1.
%--------------------------------------------------------------------------
input_clause(ppppp,theorem,
    [++p1,++p2,++p3,++p4,++p5]).

input_clause(ppppn,theorem,
    [++p1,++p2,++p3,++p4,--p5]).

input_clause(pppnp,theorem,
    [++p1,++p2,++p3,--p4,++p5]).

input_clause(pppnn,theorem,
    [++p1,++p2,++p3,--p4,--p5]).

input_clause(ppnpp,theorem,
    [++p1,++p2,--p3,++p4,++p5]).

input_clause(ppnpn,theorem,
    [++p1,++p2,--p3,++p4,--p5]).

input_clause(ppnnp,theorem,
    [++p1,++p2,--p3,--p4,++p5]).

input_clause(ppnnn,theorem,
    [++p1,++p2,--p3,--p4,--p5]).

input_clause(pnppp,theorem,
    [++p1,--p2,++p3,++p4,++p5]).

input_clause(pnppn,theorem,
    [++p1,--p2,++p3,++p4,--p5]).

input_clause(pnpnp,theorem,
    [++p1,--p2,++p3,--p4,++p5]).

input_clause(pnpnn,theorem,
    [++p1,--p2,++p3,--p4,--p5]).

input_clause(pnnpp,theorem,
    [++p1,--p2,--p3,++p4,++p5]).

input_clause(pnnpn,theorem,
    [++p1,--p2,--p3,++p4,--p5]).

input_clause(pnnnp,theorem,
    [++p1,--p2,--p3,--p4,++p5]).

input_clause(pnnnn,theorem,
    [++p1,--p2,--p3,--p4,--p5]).

input_clause(npppp,theorem,
    [--p1,++p2,++p3,++p4,++p5]).

input_clause(npppn,theorem,
    [--p1,++p2,++p3,++p4,--p5]).

input_clause(nppnp,theorem,
    [--p1,++p2,++p3,--p4,++p5]).

input_clause(nppnn,theorem,
    [--p1,++p2,++p3,--p4,--p5]).

input_clause(npnpp,theorem,
    [--p1,++p2,--p3,++p4,++p5]).

input_clause(npnpn,theorem,
    [--p1,++p2,--p3,++p4,--p5]).

input_clause(npnnp,theorem,
    [--p1,++p2,--p3,--p4,++p5]).

input_clause(npnnn,theorem,
    [--p1,++p2,--p3,--p4,--p5]).

input_clause(nnppp,theorem,
    [--p1,--p2,++p3,++p4,++p5]).

input_clause(nnppn,theorem,
    [--p1,--p2,++p3,++p4,--p5]).

input_clause(nnpnp,theorem,
    [--p1,--p2,++p3,--p4,++p5]).

input_clause(nnpnn,theorem,
    [--p1,--p2,++p3,--p4,--p5]).

input_clause(nnnpp,theorem,
    [--p1,--p2,--p3,++p4,++p5]).

input_clause(nnnpn,theorem,
    [--p1,--p2,--p3,++p4,--p5]).

input_clause(nnnnp,theorem,
    [--p1,--p2,--p3,--p4,++p5]).

input_clause(nnnnn,theorem,
    [--p1,--p2,--p3,--p4,--p5]).
%--------------------------------------------------------------------------
