%--------------------------------------------------------------------------
% File     : SYN001=Allways-1.006 : Released v0.0.0, Updated v0.6.1.
% Domain   : Syntactic
% Problem  : All signed combinations of some propositions
% Version  : Theorem formulation : 6 propositions.
% English  :

% Refs     :
% Source   : TPTP Problem Library
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   64 (  57 non-Horn)(   0 units)
%            Number of literals          :  384 (   0 equality)
%            Number of predicate symbols :    6 (   6 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    6
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v0.6.1 - Renamed from SYN005-1.
%--------------------------------------------------------------------------
input_clause(pppppp,theorem,
    [++p1,++p2,++p3,++p4,++p5,++p6]).

input_clause(pppppn,theorem,
    [++p1,++p2,++p3,++p4,++p5,--p6]).

input_clause(ppppnp,theorem,
    [++p1,++p2,++p3,++p4,--p5,++p6]).

input_clause(ppppnn,theorem,
    [++p1,++p2,++p3,++p4,--p5,--p6]).

input_clause(pppnpp,theorem,
    [++p1,++p2,++p3,--p4,++p5,++p6]).

input_clause(pppnpn,theorem,
    [++p1,++p2,++p3,--p4,++p5,--p6]).

input_clause(pppnnp,theorem,
    [++p1,++p2,++p3,--p4,--p5,++p6]).

input_clause(pppnnn,theorem,
    [++p1,++p2,++p3,--p4,--p5,--p6]).

input_clause(ppnppp,theorem,
    [++p1,++p2,--p3,++p4,++p5,++p6]).

input_clause(ppnppn,theorem,
    [++p1,++p2,--p3,++p4,++p5,--p6]).

input_clause(ppnpnp,theorem,
    [++p1,++p2,--p3,++p4,--p5,++p6]).

input_clause(ppnpnn,theorem,
    [++p1,++p2,--p3,++p4,--p5,--p6]).

input_clause(ppnnpp,theorem,
    [++p1,++p2,--p3,--p4,++p5,++p6]).

input_clause(ppnnpn,theorem,
    [++p1,++p2,--p3,--p4,++p5,--p6]).

input_clause(ppnnnp,theorem,
    [++p1,++p2,--p3,--p4,--p5,++p6]).

input_clause(ppnnnn,theorem,
    [++p1,++p2,--p3,--p4,--p5,--p6]).

input_clause(pnpppp,theorem,
    [++p1,--p2,++p3,++p4,++p5,++p6]).

input_clause(pnpppn,theorem,
    [++p1,--p2,++p3,++p4,++p5,--p6]).

input_clause(pnppnp,theorem,
    [++p1,--p2,++p3,++p4,--p5,++p6]).

input_clause(pnppnn,theorem,
    [++p1,--p2,++p3,++p4,--p5,--p6]).

input_clause(pnpnpp,theorem,
    [++p1,--p2,++p3,--p4,++p5,++p6]).

input_clause(pnpnpn,theorem,
    [++p1,--p2,++p3,--p4,++p5,--p6]).

input_clause(pnpnnp,theorem,
    [++p1,--p2,++p3,--p4,--p5,++p6]).

input_clause(pnpnnn,theorem,
    [++p1,--p2,++p3,--p4,--p5,--p6]).

input_clause(pnnppp,theorem,
    [++p1,--p2,--p3,++p4,++p5,++p6]).

input_clause(pnnppn,theorem,
    [++p1,--p2,--p3,++p4,++p5,--p6]).

input_clause(pnnpnp,theorem,
    [++p1,--p2,--p3,++p4,--p5,++p6]).

input_clause(pnnpnn,theorem,
    [++p1,--p2,--p3,++p4,--p5,--p6]).

input_clause(pnnnpp,theorem,
    [++p1,--p2,--p3,--p4,++p5,++p6]).

input_clause(pnnnpn,theorem,
    [++p1,--p2,--p3,--p4,++p5,--p6]).

input_clause(pnnnnp,theorem,
    [++p1,--p2,--p3,--p4,--p5,++p6]).

input_clause(pnnnnn,theorem,
    [++p1,--p2,--p3,--p4,--p5,--p6]).

input_clause(nppppp,theorem,
    [--p1,++p2,++p3,++p4,++p5,++p6]).

input_clause(nppppn,theorem,
    [--p1,++p2,++p3,++p4,++p5,--p6]).

input_clause(npppnp,theorem,
    [--p1,++p2,++p3,++p4,--p5,++p6]).

input_clause(npppnn,theorem,
    [--p1,++p2,++p3,++p4,--p5,--p6]).

input_clause(nppnpp,theorem,
    [--p1,++p2,++p3,--p4,++p5,++p6]).

input_clause(nppnpn,theorem,
    [--p1,++p2,++p3,--p4,++p5,--p6]).

input_clause(nppnnp,theorem,
    [--p1,++p2,++p3,--p4,--p5,++p6]).

input_clause(nppnnn,theorem,
    [--p1,++p2,++p3,--p4,--p5,--p6]).

input_clause(npnppp,theorem,
    [--p1,++p2,--p3,++p4,++p5,++p6]).

input_clause(npnppn,theorem,
    [--p1,++p2,--p3,++p4,++p5,--p6]).

input_clause(npnpnp,theorem,
    [--p1,++p2,--p3,++p4,--p5,++p6]).

input_clause(npnpnn,theorem,
    [--p1,++p2,--p3,++p4,--p5,--p6]).

input_clause(npnnpp,theorem,
    [--p1,++p2,--p3,--p4,++p5,++p6]).

input_clause(npnnpn,theorem,
    [--p1,++p2,--p3,--p4,++p5,--p6]).

input_clause(npnnnp,theorem,
    [--p1,++p2,--p3,--p4,--p5,++p6]).

input_clause(npnnnn,theorem,
    [--p1,++p2,--p3,--p4,--p5,--p6]).

input_clause(nnpppp,theorem,
    [--p1,--p2,++p3,++p4,++p5,++p6]).

input_clause(nnpppn,theorem,
    [--p1,--p2,++p3,++p4,++p5,--p6]).

input_clause(nnppnp,theorem,
    [--p1,--p2,++p3,++p4,--p5,++p6]).

input_clause(nnppnn,theorem,
    [--p1,--p2,++p3,++p4,--p5,--p6]).

input_clause(nnpnpp,theorem,
    [--p1,--p2,++p3,--p4,++p5,++p6]).

input_clause(nnpnpn,theorem,
    [--p1,--p2,++p3,--p4,++p5,--p6]).

input_clause(nnpnnp,theorem,
    [--p1,--p2,++p3,--p4,--p5,++p6]).

input_clause(nnpnnn,theorem,
    [--p1,--p2,++p3,--p4,--p5,--p6]).

input_clause(nnnppp,theorem,
    [--p1,--p2,--p3,++p4,++p5,++p6]).

input_clause(nnnppn,theorem,
    [--p1,--p2,--p3,++p4,++p5,--p6]).

input_clause(nnnpnp,theorem,
    [--p1,--p2,--p3,++p4,--p5,++p6]).

input_clause(nnnpnn,theorem,
    [--p1,--p2,--p3,++p4,--p5,--p6]).

input_clause(nnnnpp,theorem,
    [--p1,--p2,--p3,--p4,++p5,++p6]).

input_clause(nnnnpn,theorem,
    [--p1,--p2,--p3,--p4,++p5,--p6]).

input_clause(nnnnnp,theorem,
    [--p1,--p2,--p3,--p4,--p5,++p6]).

input_clause(nnnnnn,theorem,
    [--p1,--p2,--p3,--p4,--p5,--p6]).
%--------------------------------------------------------------------------
