%--------------------------------------------------------------------------
% File     : SYN001=Allways-1.009 : Released v0.0.0, Updated v0.6.1.
% Domain   : Syntactic
% Problem  : All signed combinations of some propositions
% Version  : Theorem formulation : 9 propositions.
% English  :

% Refs     :
% Source   : TPTP Problem Library
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  512 ( 502 non-Horn)(   0 units)
%            Number of literals          : 4608 (   0 equality)
%            Number of predicate symbols :    9 (   9 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    9
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v0.6.1 - Renamed from SYN008-1.
%--------------------------------------------------------------------------
input_clause(ppppppppp,theorem,
    [++p1,++p2,++p3,++p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(ppppppppn,theorem,
    [++p1,++p2,++p3,++p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(pppppppnp,theorem,
    [++p1,++p2,++p3,++p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(pppppppnn,theorem,
    [++p1,++p2,++p3,++p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(ppppppnpp,theorem,
    [++p1,++p2,++p3,++p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(ppppppnpn,theorem,
    [++p1,++p2,++p3,++p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(ppppppnnp,theorem,
    [++p1,++p2,++p3,++p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(ppppppnnn,theorem,
    [++p1,++p2,++p3,++p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(pppppnppp,theorem,
    [++p1,++p2,++p3,++p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(pppppnppn,theorem,
    [++p1,++p2,++p3,++p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(pppppnpnp,theorem,
    [++p1,++p2,++p3,++p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(pppppnpnn,theorem,
    [++p1,++p2,++p3,++p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(pppppnnpp,theorem,
    [++p1,++p2,++p3,++p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(pppppnnpn,theorem,
    [++p1,++p2,++p3,++p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(pppppnnnp,theorem,
    [++p1,++p2,++p3,++p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(pppppnnnn,theorem,
    [++p1,++p2,++p3,++p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(ppppnpppp,theorem,
    [++p1,++p2,++p3,++p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(ppppnpppn,theorem,
    [++p1,++p2,++p3,++p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(ppppnppnp,theorem,
    [++p1,++p2,++p3,++p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(ppppnppnn,theorem,
    [++p1,++p2,++p3,++p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(ppppnpnpp,theorem,
    [++p1,++p2,++p3,++p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(ppppnpnpn,theorem,
    [++p1,++p2,++p3,++p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(ppppnpnnp,theorem,
    [++p1,++p2,++p3,++p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(ppppnpnnn,theorem,
    [++p1,++p2,++p3,++p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(ppppnnppp,theorem,
    [++p1,++p2,++p3,++p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(ppppnnppn,theorem,
    [++p1,++p2,++p3,++p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(ppppnnpnp,theorem,
    [++p1,++p2,++p3,++p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(ppppnnpnn,theorem,
    [++p1,++p2,++p3,++p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(ppppnnnpp,theorem,
    [++p1,++p2,++p3,++p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(ppppnnnpn,theorem,
    [++p1,++p2,++p3,++p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(ppppnnnnp,theorem,
    [++p1,++p2,++p3,++p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(ppppnnnnn,theorem,
    [++p1,++p2,++p3,++p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(pppnppppp,theorem,
    [++p1,++p2,++p3,--p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(pppnppppn,theorem,
    [++p1,++p2,++p3,--p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(pppnpppnp,theorem,
    [++p1,++p2,++p3,--p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(pppnpppnn,theorem,
    [++p1,++p2,++p3,--p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(pppnppnpp,theorem,
    [++p1,++p2,++p3,--p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(pppnppnpn,theorem,
    [++p1,++p2,++p3,--p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(pppnppnnp,theorem,
    [++p1,++p2,++p3,--p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(pppnppnnn,theorem,
    [++p1,++p2,++p3,--p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(pppnpnppp,theorem,
    [++p1,++p2,++p3,--p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(pppnpnppn,theorem,
    [++p1,++p2,++p3,--p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(pppnpnpnp,theorem,
    [++p1,++p2,++p3,--p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(pppnpnpnn,theorem,
    [++p1,++p2,++p3,--p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(pppnpnnpp,theorem,
    [++p1,++p2,++p3,--p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(pppnpnnpn,theorem,
    [++p1,++p2,++p3,--p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(pppnpnnnp,theorem,
    [++p1,++p2,++p3,--p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(pppnpnnnn,theorem,
    [++p1,++p2,++p3,--p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(pppnnpppp,theorem,
    [++p1,++p2,++p3,--p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(pppnnpppn,theorem,
    [++p1,++p2,++p3,--p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(pppnnppnp,theorem,
    [++p1,++p2,++p3,--p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(pppnnppnn,theorem,
    [++p1,++p2,++p3,--p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(pppnnpnpp,theorem,
    [++p1,++p2,++p3,--p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(pppnnpnpn,theorem,
    [++p1,++p2,++p3,--p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(pppnnpnnp,theorem,
    [++p1,++p2,++p3,--p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(pppnnpnnn,theorem,
    [++p1,++p2,++p3,--p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(pppnnnppp,theorem,
    [++p1,++p2,++p3,--p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(pppnnnppn,theorem,
    [++p1,++p2,++p3,--p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(pppnnnpnp,theorem,
    [++p1,++p2,++p3,--p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(pppnnnpnn,theorem,
    [++p1,++p2,++p3,--p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(pppnnnnpp,theorem,
    [++p1,++p2,++p3,--p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(pppnnnnpn,theorem,
    [++p1,++p2,++p3,--p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(pppnnnnnp,theorem,
    [++p1,++p2,++p3,--p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(pppnnnnnn,theorem,
    [++p1,++p2,++p3,--p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(ppnpppppp,theorem,
    [++p1,++p2,--p3,++p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(ppnpppppn,theorem,
    [++p1,++p2,--p3,++p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(ppnppppnp,theorem,
    [++p1,++p2,--p3,++p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(ppnppppnn,theorem,
    [++p1,++p2,--p3,++p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(ppnpppnpp,theorem,
    [++p1,++p2,--p3,++p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(ppnpppnpn,theorem,
    [++p1,++p2,--p3,++p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(ppnpppnnp,theorem,
    [++p1,++p2,--p3,++p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(ppnpppnnn,theorem,
    [++p1,++p2,--p3,++p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(ppnppnppp,theorem,
    [++p1,++p2,--p3,++p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(ppnppnppn,theorem,
    [++p1,++p2,--p3,++p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(ppnppnpnp,theorem,
    [++p1,++p2,--p3,++p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(ppnppnpnn,theorem,
    [++p1,++p2,--p3,++p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(ppnppnnpp,theorem,
    [++p1,++p2,--p3,++p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(ppnppnnpn,theorem,
    [++p1,++p2,--p3,++p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(ppnppnnnp,theorem,
    [++p1,++p2,--p3,++p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(ppnppnnnn,theorem,
    [++p1,++p2,--p3,++p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(ppnpnpppp,theorem,
    [++p1,++p2,--p3,++p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(ppnpnpppn,theorem,
    [++p1,++p2,--p3,++p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(ppnpnppnp,theorem,
    [++p1,++p2,--p3,++p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(ppnpnppnn,theorem,
    [++p1,++p2,--p3,++p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(ppnpnpnpp,theorem,
    [++p1,++p2,--p3,++p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(ppnpnpnpn,theorem,
    [++p1,++p2,--p3,++p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(ppnpnpnnp,theorem,
    [++p1,++p2,--p3,++p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(ppnpnpnnn,theorem,
    [++p1,++p2,--p3,++p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(ppnpnnppp,theorem,
    [++p1,++p2,--p3,++p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(ppnpnnppn,theorem,
    [++p1,++p2,--p3,++p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(ppnpnnpnp,theorem,
    [++p1,++p2,--p3,++p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(ppnpnnpnn,theorem,
    [++p1,++p2,--p3,++p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(ppnpnnnpp,theorem,
    [++p1,++p2,--p3,++p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(ppnpnnnpn,theorem,
    [++p1,++p2,--p3,++p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(ppnpnnnnp,theorem,
    [++p1,++p2,--p3,++p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(ppnpnnnnn,theorem,
    [++p1,++p2,--p3,++p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(ppnnppppp,theorem,
    [++p1,++p2,--p3,--p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(ppnnppppn,theorem,
    [++p1,++p2,--p3,--p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(ppnnpppnp,theorem,
    [++p1,++p2,--p3,--p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(ppnnpppnn,theorem,
    [++p1,++p2,--p3,--p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(ppnnppnpp,theorem,
    [++p1,++p2,--p3,--p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(ppnnppnpn,theorem,
    [++p1,++p2,--p3,--p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(ppnnppnnp,theorem,
    [++p1,++p2,--p3,--p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(ppnnppnnn,theorem,
    [++p1,++p2,--p3,--p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(ppnnpnppp,theorem,
    [++p1,++p2,--p3,--p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(ppnnpnppn,theorem,
    [++p1,++p2,--p3,--p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(ppnnpnpnp,theorem,
    [++p1,++p2,--p3,--p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(ppnnpnpnn,theorem,
    [++p1,++p2,--p3,--p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(ppnnpnnpp,theorem,
    [++p1,++p2,--p3,--p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(ppnnpnnpn,theorem,
    [++p1,++p2,--p3,--p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(ppnnpnnnp,theorem,
    [++p1,++p2,--p3,--p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(ppnnpnnnn,theorem,
    [++p1,++p2,--p3,--p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(ppnnnpppp,theorem,
    [++p1,++p2,--p3,--p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(ppnnnpppn,theorem,
    [++p1,++p2,--p3,--p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(ppnnnppnp,theorem,
    [++p1,++p2,--p3,--p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(ppnnnppnn,theorem,
    [++p1,++p2,--p3,--p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(ppnnnpnpp,theorem,
    [++p1,++p2,--p3,--p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(ppnnnpnpn,theorem,
    [++p1,++p2,--p3,--p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(ppnnnpnnp,theorem,
    [++p1,++p2,--p3,--p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(ppnnnpnnn,theorem,
    [++p1,++p2,--p3,--p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(ppnnnnppp,theorem,
    [++p1,++p2,--p3,--p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(ppnnnnppn,theorem,
    [++p1,++p2,--p3,--p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(ppnnnnpnp,theorem,
    [++p1,++p2,--p3,--p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(ppnnnnpnn,theorem,
    [++p1,++p2,--p3,--p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(ppnnnnnpp,theorem,
    [++p1,++p2,--p3,--p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(ppnnnnnpn,theorem,
    [++p1,++p2,--p3,--p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(ppnnnnnnp,theorem,
    [++p1,++p2,--p3,--p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(ppnnnnnnn,theorem,
    [++p1,++p2,--p3,--p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(pnppppppp,theorem,
    [++p1,--p2,++p3,++p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(pnppppppn,theorem,
    [++p1,--p2,++p3,++p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(pnpppppnp,theorem,
    [++p1,--p2,++p3,++p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(pnpppppnn,theorem,
    [++p1,--p2,++p3,++p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(pnppppnpp,theorem,
    [++p1,--p2,++p3,++p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(pnppppnpn,theorem,
    [++p1,--p2,++p3,++p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(pnppppnnp,theorem,
    [++p1,--p2,++p3,++p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(pnppppnnn,theorem,
    [++p1,--p2,++p3,++p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(pnpppnppp,theorem,
    [++p1,--p2,++p3,++p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(pnpppnppn,theorem,
    [++p1,--p2,++p3,++p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(pnpppnpnp,theorem,
    [++p1,--p2,++p3,++p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(pnpppnpnn,theorem,
    [++p1,--p2,++p3,++p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(pnpppnnpp,theorem,
    [++p1,--p2,++p3,++p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(pnpppnnpn,theorem,
    [++p1,--p2,++p3,++p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(pnpppnnnp,theorem,
    [++p1,--p2,++p3,++p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(pnpppnnnn,theorem,
    [++p1,--p2,++p3,++p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(pnppnpppp,theorem,
    [++p1,--p2,++p3,++p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(pnppnpppn,theorem,
    [++p1,--p2,++p3,++p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(pnppnppnp,theorem,
    [++p1,--p2,++p3,++p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(pnppnppnn,theorem,
    [++p1,--p2,++p3,++p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(pnppnpnpp,theorem,
    [++p1,--p2,++p3,++p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(pnppnpnpn,theorem,
    [++p1,--p2,++p3,++p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(pnppnpnnp,theorem,
    [++p1,--p2,++p3,++p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(pnppnpnnn,theorem,
    [++p1,--p2,++p3,++p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(pnppnnppp,theorem,
    [++p1,--p2,++p3,++p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(pnppnnppn,theorem,
    [++p1,--p2,++p3,++p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(pnppnnpnp,theorem,
    [++p1,--p2,++p3,++p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(pnppnnpnn,theorem,
    [++p1,--p2,++p3,++p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(pnppnnnpp,theorem,
    [++p1,--p2,++p3,++p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(pnppnnnpn,theorem,
    [++p1,--p2,++p3,++p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(pnppnnnnp,theorem,
    [++p1,--p2,++p3,++p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(pnppnnnnn,theorem,
    [++p1,--p2,++p3,++p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(pnpnppppp,theorem,
    [++p1,--p2,++p3,--p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(pnpnppppn,theorem,
    [++p1,--p2,++p3,--p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(pnpnpppnp,theorem,
    [++p1,--p2,++p3,--p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(pnpnpppnn,theorem,
    [++p1,--p2,++p3,--p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(pnpnppnpp,theorem,
    [++p1,--p2,++p3,--p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(pnpnppnpn,theorem,
    [++p1,--p2,++p3,--p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(pnpnppnnp,theorem,
    [++p1,--p2,++p3,--p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(pnpnppnnn,theorem,
    [++p1,--p2,++p3,--p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(pnpnpnppp,theorem,
    [++p1,--p2,++p3,--p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(pnpnpnppn,theorem,
    [++p1,--p2,++p3,--p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(pnpnpnpnp,theorem,
    [++p1,--p2,++p3,--p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(pnpnpnpnn,theorem,
    [++p1,--p2,++p3,--p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(pnpnpnnpp,theorem,
    [++p1,--p2,++p3,--p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(pnpnpnnpn,theorem,
    [++p1,--p2,++p3,--p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(pnpnpnnnp,theorem,
    [++p1,--p2,++p3,--p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(pnpnpnnnn,theorem,
    [++p1,--p2,++p3,--p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(pnpnnpppp,theorem,
    [++p1,--p2,++p3,--p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(pnpnnpppn,theorem,
    [++p1,--p2,++p3,--p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(pnpnnppnp,theorem,
    [++p1,--p2,++p3,--p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(pnpnnppnn,theorem,
    [++p1,--p2,++p3,--p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(pnpnnpnpp,theorem,
    [++p1,--p2,++p3,--p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(pnpnnpnpn,theorem,
    [++p1,--p2,++p3,--p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(pnpnnpnnp,theorem,
    [++p1,--p2,++p3,--p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(pnpnnpnnn,theorem,
    [++p1,--p2,++p3,--p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(pnpnnnppp,theorem,
    [++p1,--p2,++p3,--p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(pnpnnnppn,theorem,
    [++p1,--p2,++p3,--p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(pnpnnnpnp,theorem,
    [++p1,--p2,++p3,--p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(pnpnnnpnn,theorem,
    [++p1,--p2,++p3,--p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(pnpnnnnpp,theorem,
    [++p1,--p2,++p3,--p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(pnpnnnnpn,theorem,
    [++p1,--p2,++p3,--p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(pnpnnnnnp,theorem,
    [++p1,--p2,++p3,--p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(pnpnnnnnn,theorem,
    [++p1,--p2,++p3,--p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(pnnpppppp,theorem,
    [++p1,--p2,--p3,++p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(pnnpppppn,theorem,
    [++p1,--p2,--p3,++p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(pnnppppnp,theorem,
    [++p1,--p2,--p3,++p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(pnnppppnn,theorem,
    [++p1,--p2,--p3,++p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(pnnpppnpp,theorem,
    [++p1,--p2,--p3,++p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(pnnpppnpn,theorem,
    [++p1,--p2,--p3,++p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(pnnpppnnp,theorem,
    [++p1,--p2,--p3,++p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(pnnpppnnn,theorem,
    [++p1,--p2,--p3,++p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(pnnppnppp,theorem,
    [++p1,--p2,--p3,++p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(pnnppnppn,theorem,
    [++p1,--p2,--p3,++p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(pnnppnpnp,theorem,
    [++p1,--p2,--p3,++p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(pnnppnpnn,theorem,
    [++p1,--p2,--p3,++p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(pnnppnnpp,theorem,
    [++p1,--p2,--p3,++p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(pnnppnnpn,theorem,
    [++p1,--p2,--p3,++p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(pnnppnnnp,theorem,
    [++p1,--p2,--p3,++p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(pnnppnnnn,theorem,
    [++p1,--p2,--p3,++p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(pnnpnpppp,theorem,
    [++p1,--p2,--p3,++p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(pnnpnpppn,theorem,
    [++p1,--p2,--p3,++p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(pnnpnppnp,theorem,
    [++p1,--p2,--p3,++p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(pnnpnppnn,theorem,
    [++p1,--p2,--p3,++p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(pnnpnpnpp,theorem,
    [++p1,--p2,--p3,++p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(pnnpnpnpn,theorem,
    [++p1,--p2,--p3,++p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(pnnpnpnnp,theorem,
    [++p1,--p2,--p3,++p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(pnnpnpnnn,theorem,
    [++p1,--p2,--p3,++p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(pnnpnnppp,theorem,
    [++p1,--p2,--p3,++p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(pnnpnnppn,theorem,
    [++p1,--p2,--p3,++p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(pnnpnnpnp,theorem,
    [++p1,--p2,--p3,++p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(pnnpnnpnn,theorem,
    [++p1,--p2,--p3,++p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(pnnpnnnpp,theorem,
    [++p1,--p2,--p3,++p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(pnnpnnnpn,theorem,
    [++p1,--p2,--p3,++p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(pnnpnnnnp,theorem,
    [++p1,--p2,--p3,++p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(pnnpnnnnn,theorem,
    [++p1,--p2,--p3,++p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(pnnnppppp,theorem,
    [++p1,--p2,--p3,--p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(pnnnppppn,theorem,
    [++p1,--p2,--p3,--p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(pnnnpppnp,theorem,
    [++p1,--p2,--p3,--p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(pnnnpppnn,theorem,
    [++p1,--p2,--p3,--p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(pnnnppnpp,theorem,
    [++p1,--p2,--p3,--p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(pnnnppnpn,theorem,
    [++p1,--p2,--p3,--p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(pnnnppnnp,theorem,
    [++p1,--p2,--p3,--p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(pnnnppnnn,theorem,
    [++p1,--p2,--p3,--p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(pnnnpnppp,theorem,
    [++p1,--p2,--p3,--p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(pnnnpnppn,theorem,
    [++p1,--p2,--p3,--p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(pnnnpnpnp,theorem,
    [++p1,--p2,--p3,--p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(pnnnpnpnn,theorem,
    [++p1,--p2,--p3,--p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(pnnnpnnpp,theorem,
    [++p1,--p2,--p3,--p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(pnnnpnnpn,theorem,
    [++p1,--p2,--p3,--p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(pnnnpnnnp,theorem,
    [++p1,--p2,--p3,--p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(pnnnpnnnn,theorem,
    [++p1,--p2,--p3,--p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(pnnnnpppp,theorem,
    [++p1,--p2,--p3,--p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(pnnnnpppn,theorem,
    [++p1,--p2,--p3,--p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(pnnnnppnp,theorem,
    [++p1,--p2,--p3,--p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(pnnnnppnn,theorem,
    [++p1,--p2,--p3,--p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(pnnnnpnpp,theorem,
    [++p1,--p2,--p3,--p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(pnnnnpnpn,theorem,
    [++p1,--p2,--p3,--p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(pnnnnpnnp,theorem,
    [++p1,--p2,--p3,--p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(pnnnnpnnn,theorem,
    [++p1,--p2,--p3,--p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(pnnnnnppp,theorem,
    [++p1,--p2,--p3,--p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(pnnnnnppn,theorem,
    [++p1,--p2,--p3,--p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(pnnnnnpnp,theorem,
    [++p1,--p2,--p3,--p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(pnnnnnpnn,theorem,
    [++p1,--p2,--p3,--p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(pnnnnnnpp,theorem,
    [++p1,--p2,--p3,--p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(pnnnnnnpn,theorem,
    [++p1,--p2,--p3,--p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(pnnnnnnnp,theorem,
    [++p1,--p2,--p3,--p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(pnnnnnnnn,theorem,
    [++p1,--p2,--p3,--p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(npppppppp,theorem,
    [--p1,++p2,++p3,++p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(npppppppn,theorem,
    [--p1,++p2,++p3,++p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(nppppppnp,theorem,
    [--p1,++p2,++p3,++p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(nppppppnn,theorem,
    [--p1,++p2,++p3,++p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(npppppnpp,theorem,
    [--p1,++p2,++p3,++p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(npppppnpn,theorem,
    [--p1,++p2,++p3,++p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(npppppnnp,theorem,
    [--p1,++p2,++p3,++p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(npppppnnn,theorem,
    [--p1,++p2,++p3,++p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(nppppnppp,theorem,
    [--p1,++p2,++p3,++p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(nppppnppn,theorem,
    [--p1,++p2,++p3,++p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(nppppnpnp,theorem,
    [--p1,++p2,++p3,++p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(nppppnpnn,theorem,
    [--p1,++p2,++p3,++p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(nppppnnpp,theorem,
    [--p1,++p2,++p3,++p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(nppppnnpn,theorem,
    [--p1,++p2,++p3,++p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(nppppnnnp,theorem,
    [--p1,++p2,++p3,++p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(nppppnnnn,theorem,
    [--p1,++p2,++p3,++p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(npppnpppp,theorem,
    [--p1,++p2,++p3,++p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(npppnpppn,theorem,
    [--p1,++p2,++p3,++p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(npppnppnp,theorem,
    [--p1,++p2,++p3,++p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(npppnppnn,theorem,
    [--p1,++p2,++p3,++p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(npppnpnpp,theorem,
    [--p1,++p2,++p3,++p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(npppnpnpn,theorem,
    [--p1,++p2,++p3,++p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(npppnpnnp,theorem,
    [--p1,++p2,++p3,++p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(npppnpnnn,theorem,
    [--p1,++p2,++p3,++p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(npppnnppp,theorem,
    [--p1,++p2,++p3,++p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(npppnnppn,theorem,
    [--p1,++p2,++p3,++p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(npppnnpnp,theorem,
    [--p1,++p2,++p3,++p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(npppnnpnn,theorem,
    [--p1,++p2,++p3,++p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(npppnnnpp,theorem,
    [--p1,++p2,++p3,++p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(npppnnnpn,theorem,
    [--p1,++p2,++p3,++p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(npppnnnnp,theorem,
    [--p1,++p2,++p3,++p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(npppnnnnn,theorem,
    [--p1,++p2,++p3,++p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(nppnppppp,theorem,
    [--p1,++p2,++p3,--p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(nppnppppn,theorem,
    [--p1,++p2,++p3,--p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(nppnpppnp,theorem,
    [--p1,++p2,++p3,--p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(nppnpppnn,theorem,
    [--p1,++p2,++p3,--p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(nppnppnpp,theorem,
    [--p1,++p2,++p3,--p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(nppnppnpn,theorem,
    [--p1,++p2,++p3,--p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(nppnppnnp,theorem,
    [--p1,++p2,++p3,--p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(nppnppnnn,theorem,
    [--p1,++p2,++p3,--p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(nppnpnppp,theorem,
    [--p1,++p2,++p3,--p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(nppnpnppn,theorem,
    [--p1,++p2,++p3,--p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(nppnpnpnp,theorem,
    [--p1,++p2,++p3,--p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(nppnpnpnn,theorem,
    [--p1,++p2,++p3,--p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(nppnpnnpp,theorem,
    [--p1,++p2,++p3,--p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(nppnpnnpn,theorem,
    [--p1,++p2,++p3,--p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(nppnpnnnp,theorem,
    [--p1,++p2,++p3,--p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(nppnpnnnn,theorem,
    [--p1,++p2,++p3,--p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(nppnnpppp,theorem,
    [--p1,++p2,++p3,--p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(nppnnpppn,theorem,
    [--p1,++p2,++p3,--p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(nppnnppnp,theorem,
    [--p1,++p2,++p3,--p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(nppnnppnn,theorem,
    [--p1,++p2,++p3,--p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(nppnnpnpp,theorem,
    [--p1,++p2,++p3,--p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(nppnnpnpn,theorem,
    [--p1,++p2,++p3,--p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(nppnnpnnp,theorem,
    [--p1,++p2,++p3,--p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(nppnnpnnn,theorem,
    [--p1,++p2,++p3,--p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(nppnnnppp,theorem,
    [--p1,++p2,++p3,--p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(nppnnnppn,theorem,
    [--p1,++p2,++p3,--p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(nppnnnpnp,theorem,
    [--p1,++p2,++p3,--p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(nppnnnpnn,theorem,
    [--p1,++p2,++p3,--p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(nppnnnnpp,theorem,
    [--p1,++p2,++p3,--p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(nppnnnnpn,theorem,
    [--p1,++p2,++p3,--p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(nppnnnnnp,theorem,
    [--p1,++p2,++p3,--p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(nppnnnnnn,theorem,
    [--p1,++p2,++p3,--p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(npnpppppp,theorem,
    [--p1,++p2,--p3,++p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(npnpppppn,theorem,
    [--p1,++p2,--p3,++p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(npnppppnp,theorem,
    [--p1,++p2,--p3,++p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(npnppppnn,theorem,
    [--p1,++p2,--p3,++p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(npnpppnpp,theorem,
    [--p1,++p2,--p3,++p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(npnpppnpn,theorem,
    [--p1,++p2,--p3,++p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(npnpppnnp,theorem,
    [--p1,++p2,--p3,++p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(npnpppnnn,theorem,
    [--p1,++p2,--p3,++p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(npnppnppp,theorem,
    [--p1,++p2,--p3,++p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(npnppnppn,theorem,
    [--p1,++p2,--p3,++p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(npnppnpnp,theorem,
    [--p1,++p2,--p3,++p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(npnppnpnn,theorem,
    [--p1,++p2,--p3,++p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(npnppnnpp,theorem,
    [--p1,++p2,--p3,++p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(npnppnnpn,theorem,
    [--p1,++p2,--p3,++p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(npnppnnnp,theorem,
    [--p1,++p2,--p3,++p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(npnppnnnn,theorem,
    [--p1,++p2,--p3,++p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(npnpnpppp,theorem,
    [--p1,++p2,--p3,++p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(npnpnpppn,theorem,
    [--p1,++p2,--p3,++p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(npnpnppnp,theorem,
    [--p1,++p2,--p3,++p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(npnpnppnn,theorem,
    [--p1,++p2,--p3,++p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(npnpnpnpp,theorem,
    [--p1,++p2,--p3,++p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(npnpnpnpn,theorem,
    [--p1,++p2,--p3,++p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(npnpnpnnp,theorem,
    [--p1,++p2,--p3,++p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(npnpnpnnn,theorem,
    [--p1,++p2,--p3,++p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(npnpnnppp,theorem,
    [--p1,++p2,--p3,++p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(npnpnnppn,theorem,
    [--p1,++p2,--p3,++p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(npnpnnpnp,theorem,
    [--p1,++p2,--p3,++p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(npnpnnpnn,theorem,
    [--p1,++p2,--p3,++p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(npnpnnnpp,theorem,
    [--p1,++p2,--p3,++p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(npnpnnnpn,theorem,
    [--p1,++p2,--p3,++p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(npnpnnnnp,theorem,
    [--p1,++p2,--p3,++p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(npnpnnnnn,theorem,
    [--p1,++p2,--p3,++p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(npnnppppp,theorem,
    [--p1,++p2,--p3,--p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(npnnppppn,theorem,
    [--p1,++p2,--p3,--p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(npnnpppnp,theorem,
    [--p1,++p2,--p3,--p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(npnnpppnn,theorem,
    [--p1,++p2,--p3,--p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(npnnppnpp,theorem,
    [--p1,++p2,--p3,--p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(npnnppnpn,theorem,
    [--p1,++p2,--p3,--p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(npnnppnnp,theorem,
    [--p1,++p2,--p3,--p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(npnnppnnn,theorem,
    [--p1,++p2,--p3,--p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(npnnpnppp,theorem,
    [--p1,++p2,--p3,--p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(npnnpnppn,theorem,
    [--p1,++p2,--p3,--p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(npnnpnpnp,theorem,
    [--p1,++p2,--p3,--p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(npnnpnpnn,theorem,
    [--p1,++p2,--p3,--p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(npnnpnnpp,theorem,
    [--p1,++p2,--p3,--p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(npnnpnnpn,theorem,
    [--p1,++p2,--p3,--p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(npnnpnnnp,theorem,
    [--p1,++p2,--p3,--p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(npnnpnnnn,theorem,
    [--p1,++p2,--p3,--p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(npnnnpppp,theorem,
    [--p1,++p2,--p3,--p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(npnnnpppn,theorem,
    [--p1,++p2,--p3,--p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(npnnnppnp,theorem,
    [--p1,++p2,--p3,--p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(npnnnppnn,theorem,
    [--p1,++p2,--p3,--p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(npnnnpnpp,theorem,
    [--p1,++p2,--p3,--p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(npnnnpnpn,theorem,
    [--p1,++p2,--p3,--p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(npnnnpnnp,theorem,
    [--p1,++p2,--p3,--p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(npnnnpnnn,theorem,
    [--p1,++p2,--p3,--p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(npnnnnppp,theorem,
    [--p1,++p2,--p3,--p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(npnnnnppn,theorem,
    [--p1,++p2,--p3,--p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(npnnnnpnp,theorem,
    [--p1,++p2,--p3,--p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(npnnnnpnn,theorem,
    [--p1,++p2,--p3,--p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(npnnnnnpp,theorem,
    [--p1,++p2,--p3,--p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(npnnnnnpn,theorem,
    [--p1,++p2,--p3,--p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(npnnnnnnp,theorem,
    [--p1,++p2,--p3,--p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(npnnnnnnn,theorem,
    [--p1,++p2,--p3,--p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(nnppppppp,theorem,
    [--p1,--p2,++p3,++p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(nnppppppn,theorem,
    [--p1,--p2,++p3,++p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(nnpppppnp,theorem,
    [--p1,--p2,++p3,++p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(nnpppppnn,theorem,
    [--p1,--p2,++p3,++p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(nnppppnpp,theorem,
    [--p1,--p2,++p3,++p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(nnppppnpn,theorem,
    [--p1,--p2,++p3,++p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(nnppppnnp,theorem,
    [--p1,--p2,++p3,++p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(nnppppnnn,theorem,
    [--p1,--p2,++p3,++p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(nnpppnppp,theorem,
    [--p1,--p2,++p3,++p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(nnpppnppn,theorem,
    [--p1,--p2,++p3,++p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(nnpppnpnp,theorem,
    [--p1,--p2,++p3,++p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(nnpppnpnn,theorem,
    [--p1,--p2,++p3,++p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(nnpppnnpp,theorem,
    [--p1,--p2,++p3,++p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(nnpppnnpn,theorem,
    [--p1,--p2,++p3,++p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(nnpppnnnp,theorem,
    [--p1,--p2,++p3,++p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(nnpppnnnn,theorem,
    [--p1,--p2,++p3,++p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(nnppnpppp,theorem,
    [--p1,--p2,++p3,++p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(nnppnpppn,theorem,
    [--p1,--p2,++p3,++p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(nnppnppnp,theorem,
    [--p1,--p2,++p3,++p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(nnppnppnn,theorem,
    [--p1,--p2,++p3,++p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(nnppnpnpp,theorem,
    [--p1,--p2,++p3,++p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(nnppnpnpn,theorem,
    [--p1,--p2,++p3,++p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(nnppnpnnp,theorem,
    [--p1,--p2,++p3,++p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(nnppnpnnn,theorem,
    [--p1,--p2,++p3,++p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(nnppnnppp,theorem,
    [--p1,--p2,++p3,++p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(nnppnnppn,theorem,
    [--p1,--p2,++p3,++p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(nnppnnpnp,theorem,
    [--p1,--p2,++p3,++p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(nnppnnpnn,theorem,
    [--p1,--p2,++p3,++p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(nnppnnnpp,theorem,
    [--p1,--p2,++p3,++p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(nnppnnnpn,theorem,
    [--p1,--p2,++p3,++p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(nnppnnnnp,theorem,
    [--p1,--p2,++p3,++p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(nnppnnnnn,theorem,
    [--p1,--p2,++p3,++p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(nnpnppppp,theorem,
    [--p1,--p2,++p3,--p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(nnpnppppn,theorem,
    [--p1,--p2,++p3,--p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(nnpnpppnp,theorem,
    [--p1,--p2,++p3,--p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(nnpnpppnn,theorem,
    [--p1,--p2,++p3,--p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(nnpnppnpp,theorem,
    [--p1,--p2,++p3,--p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(nnpnppnpn,theorem,
    [--p1,--p2,++p3,--p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(nnpnppnnp,theorem,
    [--p1,--p2,++p3,--p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(nnpnppnnn,theorem,
    [--p1,--p2,++p3,--p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(nnpnpnppp,theorem,
    [--p1,--p2,++p3,--p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(nnpnpnppn,theorem,
    [--p1,--p2,++p3,--p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(nnpnpnpnp,theorem,
    [--p1,--p2,++p3,--p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(nnpnpnpnn,theorem,
    [--p1,--p2,++p3,--p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(nnpnpnnpp,theorem,
    [--p1,--p2,++p3,--p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(nnpnpnnpn,theorem,
    [--p1,--p2,++p3,--p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(nnpnpnnnp,theorem,
    [--p1,--p2,++p3,--p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(nnpnpnnnn,theorem,
    [--p1,--p2,++p3,--p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(nnpnnpppp,theorem,
    [--p1,--p2,++p3,--p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(nnpnnpppn,theorem,
    [--p1,--p2,++p3,--p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(nnpnnppnp,theorem,
    [--p1,--p2,++p3,--p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(nnpnnppnn,theorem,
    [--p1,--p2,++p3,--p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(nnpnnpnpp,theorem,
    [--p1,--p2,++p3,--p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(nnpnnpnpn,theorem,
    [--p1,--p2,++p3,--p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(nnpnnpnnp,theorem,
    [--p1,--p2,++p3,--p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(nnpnnpnnn,theorem,
    [--p1,--p2,++p3,--p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(nnpnnnppp,theorem,
    [--p1,--p2,++p3,--p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(nnpnnnppn,theorem,
    [--p1,--p2,++p3,--p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(nnpnnnpnp,theorem,
    [--p1,--p2,++p3,--p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(nnpnnnpnn,theorem,
    [--p1,--p2,++p3,--p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(nnpnnnnpp,theorem,
    [--p1,--p2,++p3,--p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(nnpnnnnpn,theorem,
    [--p1,--p2,++p3,--p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(nnpnnnnnp,theorem,
    [--p1,--p2,++p3,--p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(nnpnnnnnn,theorem,
    [--p1,--p2,++p3,--p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(nnnpppppp,theorem,
    [--p1,--p2,--p3,++p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(nnnpppppn,theorem,
    [--p1,--p2,--p3,++p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(nnnppppnp,theorem,
    [--p1,--p2,--p3,++p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(nnnppppnn,theorem,
    [--p1,--p2,--p3,++p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(nnnpppnpp,theorem,
    [--p1,--p2,--p3,++p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(nnnpppnpn,theorem,
    [--p1,--p2,--p3,++p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(nnnpppnnp,theorem,
    [--p1,--p2,--p3,++p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(nnnpppnnn,theorem,
    [--p1,--p2,--p3,++p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(nnnppnppp,theorem,
    [--p1,--p2,--p3,++p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(nnnppnppn,theorem,
    [--p1,--p2,--p3,++p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(nnnppnpnp,theorem,
    [--p1,--p2,--p3,++p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(nnnppnpnn,theorem,
    [--p1,--p2,--p3,++p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(nnnppnnpp,theorem,
    [--p1,--p2,--p3,++p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(nnnppnnpn,theorem,
    [--p1,--p2,--p3,++p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(nnnppnnnp,theorem,
    [--p1,--p2,--p3,++p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(nnnppnnnn,theorem,
    [--p1,--p2,--p3,++p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(nnnpnpppp,theorem,
    [--p1,--p2,--p3,++p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(nnnpnpppn,theorem,
    [--p1,--p2,--p3,++p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(nnnpnppnp,theorem,
    [--p1,--p2,--p3,++p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(nnnpnppnn,theorem,
    [--p1,--p2,--p3,++p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(nnnpnpnpp,theorem,
    [--p1,--p2,--p3,++p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(nnnpnpnpn,theorem,
    [--p1,--p2,--p3,++p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(nnnpnpnnp,theorem,
    [--p1,--p2,--p3,++p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(nnnpnpnnn,theorem,
    [--p1,--p2,--p3,++p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(nnnpnnppp,theorem,
    [--p1,--p2,--p3,++p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(nnnpnnppn,theorem,
    [--p1,--p2,--p3,++p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(nnnpnnpnp,theorem,
    [--p1,--p2,--p3,++p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(nnnpnnpnn,theorem,
    [--p1,--p2,--p3,++p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(nnnpnnnpp,theorem,
    [--p1,--p2,--p3,++p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(nnnpnnnpn,theorem,
    [--p1,--p2,--p3,++p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(nnnpnnnnp,theorem,
    [--p1,--p2,--p3,++p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(nnnpnnnnn,theorem,
    [--p1,--p2,--p3,++p4,--p5,--p6,--p7,--p8,--p9]).

input_clause(nnnnppppp,theorem,
    [--p1,--p2,--p3,--p4,++p5,++p6,++p7,++p8,++p9]).

input_clause(nnnnppppn,theorem,
    [--p1,--p2,--p3,--p4,++p5,++p6,++p7,++p8,--p9]).

input_clause(nnnnpppnp,theorem,
    [--p1,--p2,--p3,--p4,++p5,++p6,++p7,--p8,++p9]).

input_clause(nnnnpppnn,theorem,
    [--p1,--p2,--p3,--p4,++p5,++p6,++p7,--p8,--p9]).

input_clause(nnnnppnpp,theorem,
    [--p1,--p2,--p3,--p4,++p5,++p6,--p7,++p8,++p9]).

input_clause(nnnnppnpn,theorem,
    [--p1,--p2,--p3,--p4,++p5,++p6,--p7,++p8,--p9]).

input_clause(nnnnppnnp,theorem,
    [--p1,--p2,--p3,--p4,++p5,++p6,--p7,--p8,++p9]).

input_clause(nnnnppnnn,theorem,
    [--p1,--p2,--p3,--p4,++p5,++p6,--p7,--p8,--p9]).

input_clause(nnnnpnppp,theorem,
    [--p1,--p2,--p3,--p4,++p5,--p6,++p7,++p8,++p9]).

input_clause(nnnnpnppn,theorem,
    [--p1,--p2,--p3,--p4,++p5,--p6,++p7,++p8,--p9]).

input_clause(nnnnpnpnp,theorem,
    [--p1,--p2,--p3,--p4,++p5,--p6,++p7,--p8,++p9]).

input_clause(nnnnpnpnn,theorem,
    [--p1,--p2,--p3,--p4,++p5,--p6,++p7,--p8,--p9]).

input_clause(nnnnpnnpp,theorem,
    [--p1,--p2,--p3,--p4,++p5,--p6,--p7,++p8,++p9]).

input_clause(nnnnpnnpn,theorem,
    [--p1,--p2,--p3,--p4,++p5,--p6,--p7,++p8,--p9]).

input_clause(nnnnpnnnp,theorem,
    [--p1,--p2,--p3,--p4,++p5,--p6,--p7,--p8,++p9]).

input_clause(nnnnpnnnn,theorem,
    [--p1,--p2,--p3,--p4,++p5,--p6,--p7,--p8,--p9]).

input_clause(nnnnnpppp,theorem,
    [--p1,--p2,--p3,--p4,--p5,++p6,++p7,++p8,++p9]).

input_clause(nnnnnpppn,theorem,
    [--p1,--p2,--p3,--p4,--p5,++p6,++p7,++p8,--p9]).

input_clause(nnnnnppnp,theorem,
    [--p1,--p2,--p3,--p4,--p5,++p6,++p7,--p8,++p9]).

input_clause(nnnnnppnn,theorem,
    [--p1,--p2,--p3,--p4,--p5,++p6,++p7,--p8,--p9]).

input_clause(nnnnnpnpp,theorem,
    [--p1,--p2,--p3,--p4,--p5,++p6,--p7,++p8,++p9]).

input_clause(nnnnnpnpn,theorem,
    [--p1,--p2,--p3,--p4,--p5,++p6,--p7,++p8,--p9]).

input_clause(nnnnnpnnp,theorem,
    [--p1,--p2,--p3,--p4,--p5,++p6,--p7,--p8,++p9]).

input_clause(nnnnnpnnn,theorem,
    [--p1,--p2,--p3,--p4,--p5,++p6,--p7,--p8,--p9]).

input_clause(nnnnnnppp,theorem,
    [--p1,--p2,--p3,--p4,--p5,--p6,++p7,++p8,++p9]).

input_clause(nnnnnnppn,theorem,
    [--p1,--p2,--p3,--p4,--p5,--p6,++p7,++p8,--p9]).

input_clause(nnnnnnpnp,theorem,
    [--p1,--p2,--p3,--p4,--p5,--p6,++p7,--p8,++p9]).

input_clause(nnnnnnpnn,theorem,
    [--p1,--p2,--p3,--p4,--p5,--p6,++p7,--p8,--p9]).

input_clause(nnnnnnnpp,theorem,
    [--p1,--p2,--p3,--p4,--p5,--p6,--p7,++p8,++p9]).

input_clause(nnnnnnnpn,theorem,
    [--p1,--p2,--p3,--p4,--p5,--p6,--p7,++p8,--p9]).

input_clause(nnnnnnnnp,theorem,
    [--p1,--p2,--p3,--p4,--p5,--p6,--p7,--p8,++p9]).

input_clause(nnnnnnnnn,theorem,
    [--p1,--p2,--p3,--p4,--p5,--p6,--p7,--p8,--p9]).
%--------------------------------------------------------------------------
