%--------------------------------------------------------------------------
% File     : SYN006=Splits-1 : Released v0.8.0, Updated v0.9.1.
% Domain   : Syntactic
% Problem  : A problem to demonstrate controlling splits
% Version  : 
% English  : 

% Refs     : Plaisted D.A. (1982), A Simplified Problem Reduction
%            Format, Artificial Intelligence 18(X), 227-261.
%            Problem 5.8.
% Source   : [Plaisted, 1982]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    7 (   2 non-Horn)(   4 units)
%            Number of literals          :   12 (   0 equality)
%            Number of predicate symbols :    6 (   0 propositions)
%            Number of function symbols  :    3 (   1 constants)
%            Number of variables         :   13 (   7 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p1(X,f(Y)),
     ++q1(f(X),Y),
     ++q2(X,f(Y))]).

input_clause(clause_2,theorem,
    [++p1(a,Y)]).

input_clause(clause_3,theorem,
    [--q2(X,f(Y))]).

input_clause(clause_4,theorem,
    [--p2(X,f(Y)),
     ++q3(f(X),Y),
     ++q4(X,f(Y))]).

input_clause(clause_5,theorem,
    [--q3(X,g(Y))]).

input_clause(clause_6,theorem,
    [--q4(f(f(X)),f(g(f(Y))))]).

input_clause(clause_7,theorem,
    [--q1(X,f(Y)),
     ++p2(f(X),Y)]).
%--------------------------------------------------------------------------
