%--------------------------------------------------------------------------
% File     : SYN028=EW1-1 : Released v0.0.0, Updated v0.8.1.
% Domain   : Syntactic
% Problem  : EW1
% Version  : 
% English  :

% Refs     : Michie D., Ross R. and Shannan G.J. (1972), G-deduction, 
%            Machine Intelligence 7, Edinburgh University Press,
%            141-165. Problem EW1.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on
%            Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : EW1 [Wilson & Minker, 1976]

% Status   : 
% Syntax   : Number of clauses           :    6 (   1 non-Horn)(   1 units)
%            Number of literals          :   12 (   0 equality)
%            Number of predicate symbols :    5 (   5 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [++q,
     ++p]).

input_clause(clause2,axiom,
    [--q,
     ++r]).

input_clause(clause3,axiom,
    [--r,
     ++s]).

input_clause(clause4,axiom,
    [--s,
     --r,
     ++t]).

input_clause(clause5,axiom,
    [--t,
     ++p]).

input_clause(prove_something,theorem,
    [--p]).
%--------------------------------------------------------------------------
