%--------------------------------------------------------------------------
% File     : SYN032=Ances-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Ances
% Version  : 
% English  :

% Refs     : Reboh R,. Raphael B., Yates R.A., Kling R.E. and 
%            Verlarde C. (1972), Study of Automatic Theorem-Proving
%            Programs, Technical Note 72, Artificial Intelligence
%            Centre SRI International, Menlo Park, CA. 
% Source   : [SPRFN]
% Names    : ances1 [Reboh, et al., 1972]

% Status   : 
% Syntax   : Number of clauses           :    7 (   3 non-Horn)(   0 units)
%            Number of literals          :   17 (   0 equality)
%            Number of predicate symbols :    6 (   6 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN013-1.
%--------------------------------------------------------------------------
input_clause(three,hypothesis,
    [++h,
     ++a,
     --j]).

input_clause(four,hypothesis,
    [++h,
     ++k,
     ++j]).

input_clause(five,hypothesis,
    [++h,
     ++j,
     --k]).

input_clause(six,hypothesis,
    [++b,
     --a]).

input_clause(seven,hypothesis,
    [++c,
     --h]).

input_clause(one,hypothesis,
    [--h,
     --c]).

input_clause(prove_something,theorem,
    [--a,
     --b]).
%--------------------------------------------------------------------------
