%--------------------------------------------------------------------------
% File     : SYN035=ROB1-1 : Released v0.0.0, Updated v0.8.1.
% Domain   : Syntactic
% Problem  : ROB1
% Version  : 
% English  :

% Refs     : Michie D., Ross R. and Shannan G.J. (1972), G-deduction, 
%            Machine Intelligence 7, Edinburgh University Press,
%            141-165. Problem ROB1.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on
%            Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : ROB1 [Wilson & Minker, 1976]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   1 units)
%            Number of literals          :    8 (   0 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    1 (   0 constants)
%            Number of variables         :    6 (   2 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN084-1.
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [++p(A,B)]).

input_clause(clause2,axiom,
    [--p(f(A,B),f(A,B)),
     --p(B,f(A,B)),
     ++q(A,B)]).

input_clause(theorem,theorem,
    [--q(f(A,B),f(A,B)),
     --q(A,f(A,B)),
     --p(f(A,B),f(A,B)),
     --p(B,f(A,B))]).
%--------------------------------------------------------------------------
