%--------------------------------------------------------------------------
% File     : SYN042=FPell04-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 4
% Version  : 
% English  : Judged by Siklossy, et al. (1973), to be the 'hardest' of
%            the first 52 theorems of Whitehead and Russell.

% Refs     : Whitehead A. and Russell B. (1910), Principia Mathematica,
%            Volume 1, Cambridge United Press, Cambridge, England.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 4 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    4 (   1 non-Horn)(   2 units)
%            Number of literals          :    6 (   0 equality)
%            Number of predicate symbols :    2 (   2 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN040-1.
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [++p,
     ++q]).

input_clause(clause_2,theorem,
    [--q,
     --p]).

input_clause(clause_3,theorem,
    [--q]).

input_clause(clause_4,theorem,
    [--p]).
%--------------------------------------------------------------------------
