%--------------------------------------------------------------------------
% File     : SYN046=FPell15-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 15
% Version  : 
% English  :

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 15 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 units)
%            Number of literals          :    4 (   0 equality)
%            Number of predicate symbols :    2 (   2 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN044-1.
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p,
     ++q]).

input_clause(clause_2,theorem,
    [++p]).

input_clause(clause_3,theorem,
    [--q]).
%--------------------------------------------------------------------------
