%--------------------------------------------------------------------------
% File     : SYN048=FPell18-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 18
% Version  : 
% English  :

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 18 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    2 (   0 non-Horn)(   2 units)
%            Number of literals          :    2 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    1 (   0 constants)
%            Number of variables         :    2 (   2 singletons)
%            Maximal clause size         :    1
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN046-1.
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [++big_f(X)]).

input_clause(clause_2,theorem,
    [--big_f(f(X))]).
%--------------------------------------------------------------------------
