%--------------------------------------------------------------------------
% File     : SYN052=FPell22-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 22
% Version  : 
% English  :

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 22 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    5 (   1 non-Horn)(   0 units)
%            Number of literals          :   10 (   0 equality)
%            Number of predicate symbols :    2 (   1 propositions)
%            Number of function symbols  :    1 (   1 constants)
%            Number of variables         :    4 (   4 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :    1

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN050-1.
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [++p,
     --big_f(X)]).

input_clause(clause_2,theorem,
    [++big_f(X),
     --p]).

input_clause(clause_3,theorem,
    [++big_f(Y),
     ++p]).

input_clause(clause_4,theorem,
    [--p,
     --big_f(a)]).

input_clause(clause_5,theorem,
    [++big_f(Y),
     --big_f(a)]).
%--------------------------------------------------------------------------
