%--------------------------------------------------------------------------
% File     : SYN065=FPell36-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 36
% Version  : 
% English  :

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : p36.in [ANL]
%          : Pelletier 36 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    7 (   0 non-Horn)(   3 units)
%            Number of literals          :   15 (   0 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    3 (   1 constants)
%            Number of variables         :   15 (   1 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN063-1.
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++big_f(X,f(X))]).

input_clause(clause_2,axiom,
    [++big_g(X,g(X))]).

input_clause(clause_3,axiom,
    [--big_f(X,Y),
     --big_f(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_4,axiom,
    [--big_f(X,Y),
     --big_g(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_5,axiom,
    [--big_g(X,Y),
     --big_f(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_6,axiom,
    [--big_g(X,Y),
     --big_g(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_7,theorem,
    [--big_h(a,X)]).
%--------------------------------------------------------------------------
