%--------------------------------------------------------------------------
% File     : SYN068=FPell44-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 44
% Version  : 
% English  :

% Refs     : Kalish D, and Montegue R. (1964), Logic: Techniques of
%            Formal Reasoning, World, Harcourt & Brace.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : p44.in [ANL]
%          : Pelletier 44 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    7 (   0 non-Horn)(   1 units)
%            Number of literals          :   13 (   0 equality)
%            Number of predicate symbols :    4 (   0 propositions)
%            Number of function symbols  :    3 (   1 constants)
%            Number of variables         :    6 (   0 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN085-1.
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_f(X),
     ++big_g(f(X))]).

input_clause(clause_2,axiom,
    [--big_f(X),
     ++big_h(X,f(X))]).

input_clause(clause_3,axiom,
    [--big_f(X),
     ++big_g(g(X))]).

input_clause(clause_4,axiom,
    [--big_f(X),
     --big_h(X,g(X))]).

input_clause(clause_5,axiom,
    [++big_j(a)]).

input_clause(clause_6,axiom,
    [--big_g(X),
     ++big_h(a,X)]).

input_clause(clause_7,theorem,
    [--big_j(X),
     ++big_f(X)]).
%--------------------------------------------------------------------------
