%--------------------------------------------------------------------------
% File     : SYN081=FPell59-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 59
% Version  : 
% English  :

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 59 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    3 (   1 non-Horn)(   0 units)
%            Number of literals          :    6 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    1 (   0 constants)
%            Number of variables         :    3 (   0 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN078-1.
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_f(X),
     --big_f(f(X))]).

input_clause(clause_2,axiom,
    [++big_f(f(X)),
     ++big_f(X)]).

input_clause(prove_this,theorem,
    [--big_f(X),
     ++big_f(f(X))]).
%--------------------------------------------------------------------------
