%--------------------------------------------------------------------------
% File     : SYN088=DAPs4-1.010 : Released v0.9.0, Updated v0.9.0.
% Domain   : Syntactic
% Problem  : Plaisted problem s(4,10)
% Version  : Theorem formulation : Size 10.
% English  : 

% Refs     : Plaisted D.A. (Unpublished), The Search Efficiency of
%            Theorem Proving Strategies.
% Source   : [Plaisted, Unpublished]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   22 (   0 non-Horn)(  21 units)
%            Number of literals          :   32 (   0 equality)
%            Number of predicate symbols :   11 (   0 propositions)
%            Number of function symbols  :    2 (   2 constants)
%            Number of variables         :   10 (   0 singletons)
%            Maximal clause size         :   11
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(s4_goal_1,theorem,
    [--p(a,a,a,a,a,a,a,a,a,a)]).

input_clause(s4_1,axiom,
    [++p(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_1(X_1),--q_2(X_2),--q_3(X_3),--q_4(X_4),--q_5(X_5),
     --q_6(X_6),--q_7(X_7),--q_8(X_8),--q_9(X_9),--q_10(X_10)]).

input_clause(s4_2,axiom,
    [++q_1(a)]).

input_clause(s4_3,axiom,
    [++q_1(b)]).

input_clause(s4_4,axiom,
    [++q_2(a)]).

input_clause(s4_5,axiom,
    [++q_2(b)]).

input_clause(s4_6,axiom,
    [++q_3(a)]).

input_clause(s4_7,axiom,
    [++q_3(b)]).

input_clause(s4_8,axiom,
    [++q_4(a)]).

input_clause(s4_9,axiom,
    [++q_4(b)]).

input_clause(s4_10,axiom,
    [++q_5(a)]).

input_clause(s4_11,axiom,
    [++q_5(b)]).

input_clause(s4_12,axiom,
    [++q_6(a)]).

input_clause(s4_13,axiom,
    [++q_6(b)]).

input_clause(s4_14,axiom,
    [++q_7(a)]).

input_clause(s4_15,axiom,
    [++q_7(b)]).

input_clause(s4_16,axiom,
    [++q_8(a)]).

input_clause(s4_17,axiom,
    [++q_8(b)]).

input_clause(s4_18,axiom,
    [++q_9(a)]).

input_clause(s4_19,axiom,
    [++q_9(b)]).

input_clause(s4_20,axiom,
    [++q_10(a)]).

input_clause(s4_21,axiom,
    [++q_10(b)]).
%--------------------------------------------------------------------------
