%--------------------------------------------------------------------------
% File     : SYN088=DAPs4-1.020 : Released v0.9.0, Updated v0.9.0.
% Domain   : Syntactic
% Problem  : Plaisted problem s(4,20)
% Version  : Theorem formulation : Size 20.
% English  : 

% Refs     : Plaisted D.A. (Unpublished), The Search Efficiency of
%            Theorem Proving Strategies.
% Source   : [Plaisted, Unpublished]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   42 (   0 non-Horn)(  41 units)
%            Number of literals          :   62 (   0 equality)
%            Number of predicate symbols :   21 (   0 propositions)
%            Number of function symbols  :    2 (   2 constants)
%            Number of variables         :   20 (   0 singletons)
%            Maximal clause size         :   21
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(s4_goal_1,theorem,
    [--p(a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a)]).

input_clause(s4_1,axiom,
    [++p(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_1(X_1),--q_2(X_2),--q_3(X_3),--q_4(X_4),--q_5(X_5),--q_6(X_6),
     --q_7(X_7),--q_8(X_8),--q_9(X_9),--q_10(X_10),--q_11(X_11),
     --q_12(X_12),--q_13(X_13),--q_14(X_14),--q_15(X_15),--q_16(X_16),
     --q_17(X_17),--q_18(X_18),--q_19(X_19),--q_20(X_20)]).

input_clause(s4_2,axiom,
    [++q_1(a)]).

input_clause(s4_3,axiom,
    [++q_1(b)]).

input_clause(s4_4,axiom,
    [++q_2(a)]).

input_clause(s4_5,axiom,
    [++q_2(b)]).

input_clause(s4_6,axiom,
    [++q_3(a)]).

input_clause(s4_7,axiom,
    [++q_3(b)]).

input_clause(s4_8,axiom,
    [++q_4(a)]).

input_clause(s4_9,axiom,
    [++q_4(b)]).

input_clause(s4_10,axiom,
    [++q_5(a)]).

input_clause(s4_11,axiom,
    [++q_5(b)]).

input_clause(s4_12,axiom,
    [++q_6(a)]).

input_clause(s4_13,axiom,
    [++q_6(b)]).

input_clause(s4_14,axiom,
    [++q_7(a)]).

input_clause(s4_15,axiom,
    [++q_7(b)]).

input_clause(s4_16,axiom,
    [++q_8(a)]).

input_clause(s4_17,axiom,
    [++q_8(b)]).

input_clause(s4_18,axiom,
    [++q_9(a)]).

input_clause(s4_19,axiom,
    [++q_9(b)]).

input_clause(s4_20,axiom,
    [++q_10(a)]).

input_clause(s4_21,axiom,
    [++q_10(b)]).

input_clause(s4_22,axiom,
    [++q_11(a)]).

input_clause(s4_23,axiom,
    [++q_11(b)]).

input_clause(s4_24,axiom,
    [++q_12(a)]).

input_clause(s4_25,axiom,
    [++q_12(b)]).

input_clause(s4_26,axiom,
    [++q_13(a)]).

input_clause(s4_27,axiom,
    [++q_13(b)]).

input_clause(s4_28,axiom,
    [++q_14(a)]).

input_clause(s4_29,axiom,
    [++q_14(b)]).

input_clause(s4_30,axiom,
    [++q_15(a)]).

input_clause(s4_31,axiom,
    [++q_15(b)]).

input_clause(s4_32,axiom,
    [++q_16(a)]).

input_clause(s4_33,axiom,
    [++q_16(b)]).

input_clause(s4_34,axiom,
    [++q_17(a)]).

input_clause(s4_35,axiom,
    [++q_17(b)]).

input_clause(s4_36,axiom,
    [++q_18(a)]).

input_clause(s4_37,axiom,
    [++q_18(b)]).

input_clause(s4_38,axiom,
    [++q_19(a)]).

input_clause(s4_39,axiom,
    [++q_19(b)]).

input_clause(s4_40,axiom,
    [++q_20(a)]).

input_clause(s4_41,axiom,
    [++q_20(b)]).
%--------------------------------------------------------------------------
