%--------------------------------------------------------------------------
% File     : SYN100=DAPsymmt3-1.005 : Released v0.9.0, Updated v0.9.0.
% Domain   : Syntactic
% Problem  : Plaisted problem sym(m(t(3,5)))
% Version  : Theorem formulation : Size 5.
% English  : 

% Refs     : Plaisted D.A. (Unpublished), The Search Efficiency of
%            Theorem Proving Strategies.
% Source   : [Plaisted, Unpublished]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  146 (  65 non-Horn)(   8 units)
%            Number of literals          :  412 (   0 equality)
%            Number of predicate symbols :   44 (   0 propositions)
%            Number of function symbols  :    1 (   1 constants)
%            Number of variables         :  138 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(m_s3_goal_1,theorem,
    [--p_0(X),--q_0(X)]).

input_clause(m_s3_type1_1,axiom,
    [++p_0(X),--p_1(X),--p_2(X)]).

input_clause(m_s3_type1_2,axiom,
    [++p_0(X),--p_1(X),--q_2(X)]).

input_clause(m_s3_type1_3,axiom,
    [++p_0(X),--q_1(X),--p_2(X)]).

input_clause(m_s3_type1_4,axiom,
    [++p_0(X),--q_1(X),--q_2(X)]).

input_clause(m_s3_type1_5,axiom,
    [++q_0(X),--p_1(X),--p_2(X)]).

input_clause(m_s3_type1_6,axiom,
    [++q_0(X),--p_1(X),--q_2(X)]).

input_clause(m_s3_type1_7,axiom,
    [++q_0(X),--q_1(X),--p_2(X)]).

input_clause(m_s3_type1_8,axiom,
    [++q_0(X),--q_1(X),--q_2(X)]).

input_clause(m_s3_type1_9,axiom,
    [++p_1(X),--p_2(X),--p_3(X)]).

input_clause(m_s3_type1_10,axiom,
    [++p_1(X),--p_2(X),--q_3(X)]).

input_clause(m_s3_type1_11,axiom,
    [++p_1(X),--q_2(X),--p_3(X)]).

input_clause(m_s3_type1_12,axiom,
    [++p_1(X),--q_2(X),--q_3(X)]).

input_clause(m_s3_type1_13,axiom,
    [++q_1(X),--p_2(X),--p_3(X)]).

input_clause(m_s3_type1_14,axiom,
    [++q_1(X),--p_2(X),--q_3(X)]).

input_clause(m_s3_type1_15,axiom,
    [++q_1(X),--q_2(X),--p_3(X)]).

input_clause(m_s3_type1_16,axiom,
    [++q_1(X),--q_2(X),--q_3(X)]).

input_clause(m_s3_type1_17,axiom,
    [++p_2(X),--p_3(X),--p_4(X)]).

input_clause(m_s3_type1_18,axiom,
    [++p_2(X),--p_3(X),--q_4(X)]).

input_clause(m_s3_type1_19,axiom,
    [++p_2(X),--q_3(X),--p_4(X)]).

input_clause(m_s3_type1_20,axiom,
    [++p_2(X),--q_3(X),--q_4(X)]).

input_clause(m_s3_type1_21,axiom,
    [++q_2(X),--p_3(X),--p_4(X)]).

input_clause(m_s3_type1_22,axiom,
    [++q_2(X),--p_3(X),--q_4(X)]).

input_clause(m_s3_type1_23,axiom,
    [++q_2(X),--q_3(X),--p_4(X)]).

input_clause(m_s3_type1_24,axiom,
    [++q_2(X),--q_3(X),--q_4(X)]).

input_clause(m_s3_type1_25,axiom,
    [++p_3(X),--p_4(X),--p_5(X)]).

input_clause(m_s3_type1_26,axiom,
    [++p_3(X),--p_4(X),--q_5(X)]).

input_clause(m_s3_type1_27,axiom,
    [++p_3(X),--q_4(X),--p_5(X)]).

input_clause(m_s3_type1_28,axiom,
    [++p_3(X),--q_4(X),--q_5(X)]).

input_clause(m_s3_type1_29,axiom,
    [++q_3(X),--p_4(X),--p_5(X)]).

input_clause(m_s3_type1_30,axiom,
    [++q_3(X),--p_4(X),--q_5(X)]).

input_clause(m_s3_type1_31,axiom,
    [++q_3(X),--q_4(X),--p_5(X)]).

input_clause(m_s3_type1_32,axiom,
    [++q_3(X),--q_4(X),--q_5(X)]).

input_clause(m_s3_type1_33,axiom,
    [++p_4(X),--p_5(X),--p_6(X)]).

input_clause(m_s3_type1_34,axiom,
    [++p_4(X),--p_5(X),--q_6(X)]).

input_clause(m_s3_type1_35,axiom,
    [++p_4(X),--q_5(X),--p_6(X)]).

input_clause(m_s3_type1_36,axiom,
    [++p_4(X),--q_5(X),--q_6(X)]).

input_clause(m_s3_type1_37,axiom,
    [++q_4(X),--p_5(X),--p_6(X)]).

input_clause(m_s3_type1_38,axiom,
    [++q_4(X),--p_5(X),--q_6(X)]).

input_clause(m_s3_type1_39,axiom,
    [++q_4(X),--q_5(X),--p_6(X)]).

input_clause(m_s3_type1_40,axiom,
    [++q_4(X),--q_5(X),--q_6(X)]).

input_clause(m_s3_type1_41,axiom,
    [++p_5(X),--p_6(X),--p_7(X)]).

input_clause(m_s3_type1_42,axiom,
    [++p_5(X),--p_6(X),--q_7(X)]).

input_clause(m_s3_type1_43,axiom,
    [++p_5(X),--q_6(X),--p_7(X)]).

input_clause(m_s3_type1_44,axiom,
    [++p_5(X),--q_6(X),--q_7(X)]).

input_clause(m_s3_type1_45,axiom,
    [++q_5(X),--p_6(X),--p_7(X)]).

input_clause(m_s3_type1_46,axiom,
    [++q_5(X),--p_6(X),--q_7(X)]).

input_clause(m_s3_type1_47,axiom,
    [++q_5(X),--q_6(X),--p_7(X)]).

input_clause(m_s3_type1_48,axiom,
    [++q_5(X),--q_6(X),--q_7(X)]).

input_clause(m_s3_type1_49,axiom,
    [++p_6(X),--p_7(X),--p_8(X)]).

input_clause(m_s3_type1_50,axiom,
    [++p_6(X),--p_7(X),--q_8(X)]).

input_clause(m_s3_type1_51,axiom,
    [++p_6(X),--q_7(X),--p_8(X)]).

input_clause(m_s3_type1_52,axiom,
    [++p_6(X),--q_7(X),--q_8(X)]).

input_clause(m_s3_type1_53,axiom,
    [++q_6(X),--p_7(X),--p_8(X)]).

input_clause(m_s3_type1_54,axiom,
    [++q_6(X),--p_7(X),--q_8(X)]).

input_clause(m_s3_type1_55,axiom,
    [++q_6(X),--q_7(X),--p_8(X)]).

input_clause(m_s3_type1_56,axiom,
    [++q_6(X),--q_7(X),--q_8(X)]).

input_clause(m_s3_type1_57,axiom,
    [++p_7(X),--p_8(X),--p_9(X)]).

input_clause(m_s3_type1_58,axiom,
    [++p_7(X),--p_8(X),--q_9(X)]).

input_clause(m_s3_type1_59,axiom,
    [++p_7(X),--q_8(X),--p_9(X)]).

input_clause(m_s3_type1_60,axiom,
    [++p_7(X),--q_8(X),--q_9(X)]).

input_clause(m_s3_type1_61,axiom,
    [++q_7(X),--p_8(X),--p_9(X)]).

input_clause(m_s3_type1_62,axiom,
    [++q_7(X),--p_8(X),--q_9(X)]).

input_clause(m_s3_type1_63,axiom,
    [++q_7(X),--q_8(X),--p_9(X)]).

input_clause(m_s3_type1_64,axiom,
    [++q_7(X),--q_8(X),--q_9(X)]).

input_clause(m_s3_type2_1,axiom,
    [++p_9(X),--p_4(X)]).

input_clause(m_s3_type2_2,axiom,
    [++p_10(X),--p_5(X)]).

input_clause(m_s3_type2_3,axiom,
    [++q_9(X),--q_4(X)]).

input_clause(m_s3_type2_4,axiom,
    [++q_10(X),--q_5(X)]).

input_clause(m_t3_1,axiom,
    [++p_8(a)]).

input_clause(m_t3_2,axiom,
    [++p_9(a)]).

input_clause(m_t3_3,axiom,
    [++q_8(a)]).

input_clause(m_t3_4,axiom,
    [++q_9(a)]).

input_clause(sym_m_s3_goal_1,axiom,
    [++sym_p_0(X),++sym_q_0(X)]).

input_clause(sym_m_s3_type1_1,axiom,
    [--sym_p_0(X),++sym_p_1(X),++sym_p_2(X)]).

input_clause(sym_m_s3_type1_2,axiom,
    [--sym_p_0(X),++sym_p_1(X),++sym_q_2(X)]).

input_clause(sym_m_s3_type1_3,axiom,
    [--sym_p_0(X),++sym_q_1(X),++sym_p_2(X)]).

input_clause(sym_m_s3_type1_4,axiom,
    [--sym_p_0(X),++sym_q_1(X),++sym_q_2(X)]).

input_clause(sym_m_s3_type1_5,axiom,
    [--sym_q_0(X),++sym_p_1(X),++sym_p_2(X)]).

input_clause(sym_m_s3_type1_6,axiom,
    [--sym_q_0(X),++sym_p_1(X),++sym_q_2(X)]).

input_clause(sym_m_s3_type1_7,axiom,
    [--sym_q_0(X),++sym_q_1(X),++sym_p_2(X)]).

input_clause(sym_m_s3_type1_8,axiom,
    [--sym_q_0(X),++sym_q_1(X),++sym_q_2(X)]).

input_clause(sym_m_s3_type1_9,axiom,
    [--sym_p_1(X),++sym_p_2(X),++sym_p_3(X)]).

input_clause(sym_m_s3_type1_10,axiom,
    [--sym_p_1(X),++sym_p_2(X),++sym_q_3(X)]).

input_clause(sym_m_s3_type1_11,axiom,
    [--sym_p_1(X),++sym_q_2(X),++sym_p_3(X)]).

input_clause(sym_m_s3_type1_12,axiom,
    [--sym_p_1(X),++sym_q_2(X),++sym_q_3(X)]).

input_clause(sym_m_s3_type1_13,axiom,
    [--sym_q_1(X),++sym_p_2(X),++sym_p_3(X)]).

input_clause(sym_m_s3_type1_14,axiom,
    [--sym_q_1(X),++sym_p_2(X),++sym_q_3(X)]).

input_clause(sym_m_s3_type1_15,axiom,
    [--sym_q_1(X),++sym_q_2(X),++sym_p_3(X)]).

input_clause(sym_m_s3_type1_16,axiom,
    [--sym_q_1(X),++sym_q_2(X),++sym_q_3(X)]).

input_clause(sym_m_s3_type1_17,axiom,
    [--sym_p_2(X),++sym_p_3(X),++sym_p_4(X)]).

input_clause(sym_m_s3_type1_18,axiom,
    [--sym_p_2(X),++sym_p_3(X),++sym_q_4(X)]).

input_clause(sym_m_s3_type1_19,axiom,
    [--sym_p_2(X),++sym_q_3(X),++sym_p_4(X)]).

input_clause(sym_m_s3_type1_20,axiom,
    [--sym_p_2(X),++sym_q_3(X),++sym_q_4(X)]).

input_clause(sym_m_s3_type1_21,axiom,
    [--sym_q_2(X),++sym_p_3(X),++sym_p_4(X)]).

input_clause(sym_m_s3_type1_22,axiom,
    [--sym_q_2(X),++sym_p_3(X),++sym_q_4(X)]).

input_clause(sym_m_s3_type1_23,axiom,
    [--sym_q_2(X),++sym_q_3(X),++sym_p_4(X)]).

input_clause(sym_m_s3_type1_24,axiom,
    [--sym_q_2(X),++sym_q_3(X),++sym_q_4(X)]).

input_clause(sym_m_s3_type1_25,axiom,
    [--sym_p_3(X),++sym_p_4(X),++sym_p_5(X)]).

input_clause(sym_m_s3_type1_26,axiom,
    [--sym_p_3(X),++sym_p_4(X),++sym_q_5(X)]).

input_clause(sym_m_s3_type1_27,axiom,
    [--sym_p_3(X),++sym_q_4(X),++sym_p_5(X)]).

input_clause(sym_m_s3_type1_28,axiom,
    [--sym_p_3(X),++sym_q_4(X),++sym_q_5(X)]).

input_clause(sym_m_s3_type1_29,axiom,
    [--sym_q_3(X),++sym_p_4(X),++sym_p_5(X)]).

input_clause(sym_m_s3_type1_30,axiom,
    [--sym_q_3(X),++sym_p_4(X),++sym_q_5(X)]).

input_clause(sym_m_s3_type1_31,axiom,
    [--sym_q_3(X),++sym_q_4(X),++sym_p_5(X)]).

input_clause(sym_m_s3_type1_32,axiom,
    [--sym_q_3(X),++sym_q_4(X),++sym_q_5(X)]).

input_clause(sym_m_s3_type1_33,axiom,
    [--sym_p_4(X),++sym_p_5(X),++sym_p_6(X)]).

input_clause(sym_m_s3_type1_34,axiom,
    [--sym_p_4(X),++sym_p_5(X),++sym_q_6(X)]).

input_clause(sym_m_s3_type1_35,axiom,
    [--sym_p_4(X),++sym_q_5(X),++sym_p_6(X)]).

input_clause(sym_m_s3_type1_36,axiom,
    [--sym_p_4(X),++sym_q_5(X),++sym_q_6(X)]).

input_clause(sym_m_s3_type1_37,axiom,
    [--sym_q_4(X),++sym_p_5(X),++sym_p_6(X)]).

input_clause(sym_m_s3_type1_38,axiom,
    [--sym_q_4(X),++sym_p_5(X),++sym_q_6(X)]).

input_clause(sym_m_s3_type1_39,axiom,
    [--sym_q_4(X),++sym_q_5(X),++sym_p_6(X)]).

input_clause(sym_m_s3_type1_40,axiom,
    [--sym_q_4(X),++sym_q_5(X),++sym_q_6(X)]).

input_clause(sym_m_s3_type1_41,axiom,
    [--sym_p_5(X),++sym_p_6(X),++sym_p_7(X)]).

input_clause(sym_m_s3_type1_42,axiom,
    [--sym_p_5(X),++sym_p_6(X),++sym_q_7(X)]).

input_clause(sym_m_s3_type1_43,axiom,
    [--sym_p_5(X),++sym_q_6(X),++sym_p_7(X)]).

input_clause(sym_m_s3_type1_44,axiom,
    [--sym_p_5(X),++sym_q_6(X),++sym_q_7(X)]).

input_clause(sym_m_s3_type1_45,axiom,
    [--sym_q_5(X),++sym_p_6(X),++sym_p_7(X)]).

input_clause(sym_m_s3_type1_46,axiom,
    [--sym_q_5(X),++sym_p_6(X),++sym_q_7(X)]).

input_clause(sym_m_s3_type1_47,axiom,
    [--sym_q_5(X),++sym_q_6(X),++sym_p_7(X)]).

input_clause(sym_m_s3_type1_48,axiom,
    [--sym_q_5(X),++sym_q_6(X),++sym_q_7(X)]).

input_clause(sym_m_s3_type1_49,axiom,
    [--sym_p_6(X),++sym_p_7(X),++sym_p_8(X)]).

input_clause(sym_m_s3_type1_50,axiom,
    [--sym_p_6(X),++sym_p_7(X),++sym_q_8(X)]).

input_clause(sym_m_s3_type1_51,axiom,
    [--sym_p_6(X),++sym_q_7(X),++sym_p_8(X)]).

input_clause(sym_m_s3_type1_52,axiom,
    [--sym_p_6(X),++sym_q_7(X),++sym_q_8(X)]).

input_clause(sym_m_s3_type1_53,axiom,
    [--sym_q_6(X),++sym_p_7(X),++sym_p_8(X)]).

input_clause(sym_m_s3_type1_54,axiom,
    [--sym_q_6(X),++sym_p_7(X),++sym_q_8(X)]).

input_clause(sym_m_s3_type1_55,axiom,
    [--sym_q_6(X),++sym_q_7(X),++sym_p_8(X)]).

input_clause(sym_m_s3_type1_56,axiom,
    [--sym_q_6(X),++sym_q_7(X),++sym_q_8(X)]).

input_clause(sym_m_s3_type1_57,axiom,
    [--sym_p_7(X),++sym_p_8(X),++sym_p_9(X)]).

input_clause(sym_m_s3_type1_58,axiom,
    [--sym_p_7(X),++sym_p_8(X),++sym_q_9(X)]).

input_clause(sym_m_s3_type1_59,axiom,
    [--sym_p_7(X),++sym_q_8(X),++sym_p_9(X)]).

input_clause(sym_m_s3_type1_60,axiom,
    [--sym_p_7(X),++sym_q_8(X),++sym_q_9(X)]).

input_clause(sym_m_s3_type1_61,axiom,
    [--sym_q_7(X),++sym_p_8(X),++sym_p_9(X)]).

input_clause(sym_m_s3_type1_62,axiom,
    [--sym_q_7(X),++sym_p_8(X),++sym_q_9(X)]).

input_clause(sym_m_s3_type1_63,axiom,
    [--sym_q_7(X),++sym_q_8(X),++sym_p_9(X)]).

input_clause(sym_m_s3_type1_64,axiom,
    [--sym_q_7(X),++sym_q_8(X),++sym_q_9(X)]).

input_clause(sym_m_s3_type2_1,axiom,
    [--sym_p_9(X),++sym_p_4(X)]).

input_clause(sym_m_s3_type2_2,axiom,
    [--sym_p_10(X),++sym_p_5(X)]).

input_clause(sym_m_s3_type2_3,axiom,
    [--sym_q_9(X),++sym_q_4(X)]).

input_clause(sym_m_s3_type2_4,axiom,
    [--sym_q_10(X),++sym_q_5(X)]).

input_clause(sym_m_t3_1,axiom,
    [--sym_p_8(a)]).

input_clause(sym_m_t3_2,axiom,
    [--sym_p_9(a)]).

input_clause(sym_m_t3_3,axiom,
    [--sym_q_8(a)]).

input_clause(sym_m_t3_4,axiom,
    [--sym_q_9(a)]).
%--------------------------------------------------------------------------
