%--------------------------------------------------------------------------
% File     : TOP009=OpenTrans-1 : Released v0.6.0, Updated v0.6.0.
% Domain   : Topology
% Problem  : If Y is open in X, and A is open in Y, then A is open in X
% Version  : [Wick & McCune, 1989] axioms : Incomplete.
% English  : 

% Refs     : Wick C.A., McCune W.W. (1989), Automated Reasoning about
%            Elementary Point-Set Topology, Journal of Automated Reasoning 
%            5(2), 239-255. Problem 4.
% Source   : [Wick & McCune, 1989]
% Names    : 

% Status   : broken
% Syntax   : Number of clauses           :  112 (  23 non-Horn)(   3 units)
%            Number of literals          :  339 (   0 equality)
%            Number of predicate symbols :   22 (   0 propositions)
%            Number of function symbols  :   39 (   5 constants)
%            Number of variables         :  357 (  56 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    3

% Comments : The axioms are incomplete, in that they do not contain the
%            requisite set theory axioms. This problem is thus not
%            complete. To use it, appropriate set theory axioms must be
%            added.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_4_120,theorem,
    [++open(cy,cx,ct)]).

input_clause(problem_4_121,theorem,
    [++open(a,cy,subspace_topology(cx,ct,cy))]).

input_clause(problem_4_122,theorem,
    [--open(a,cx,ct)]).
%--------------------------------------------------------------------------
