%--------------------------------------------------------------------------
% File     : TOP019=ClsrConn-1 : Released v0.6.0, Updated v0.6.0.
% Domain   : Topology
% Problem  : The closure of a connected set is connected
% Version  : [Wick & McCune, 1989] axioms : Incomplete.
% English  : 

% Refs     : Wick C.A., McCune W.W. (1989), Automated Reasoning about
%            Elementary Point-Set Topology, Journal of Automated Reasoning 
%            5(2), 239-255. Problem 14.
% Source   : [Wick & McCune, 1989]
% Names    : 

% Status   : broken
% Syntax   : Number of clauses           :  111 (  23 non-Horn)(   2 units)
%            Number of literals          :  338 (   0 equality)
%            Number of predicate symbols :   22 (   0 propositions)
%            Number of function symbols  :   38 (   4 constants)
%            Number of variables         :  357 (  56 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    3

% Comments : The axioms are incomplete, in that they do not contain the
%            requisite set theory axioms. This problem is thus not
%            complete. To use it, appropriate set theory axioms must be
%            added.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_14_162,theorem,
    [++connected_set(a,cx,ct)]).

input_clause(problem_14_163,theorem,
    [--connected_set(closure(a,cx,ct),cx,ct)]).
%--------------------------------------------------------------------------
