%--------------------------------------------------------------------------
% File     : BOO005=XPlusMId-2 : Released v0.0.0, Updated v0.4.2.
% Domain   : Boolean Algebra
% Problem  : X + multiplicative id = multiplicative id (X + 1 = 1)
% Version  : ANL (equality) axioms.
% English  : 

% Refs     : 
% Source   : ANL problem set
% Names    : prob3_part1.ver2.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   23 (   0 non-Horn)(  16 units)
%            Number of literals          :   31 (  31 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    7 (   4 constants)
%            Number of variables         :   44 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_a_plus_1_is_a,theorem,
    [--equal(add(a,mulitplicative_identity),mulitplicative_identity)]).
%--------------------------------------------------------------------------
