%--------------------------------------------------------------------------
% File     : BOO008=SumAssc-2 : Released v0.0.0, Updated v0.0.0.
% Domain   : Boolean Algebra
% Problem  : Sum is associative ( (X + Y) + Z = X + (Y + Z) )
% Version  : ANL (equality) axioms.
% English  : 

% Refs     : 
% Source   : ANL problem set
% Names    : prob1.ver2.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   23 (   0 non-Horn)(  16 units)
%            Number of literals          :   31 (  31 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    8 (   5 constants)
%            Number of variables         :   44 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
%----The ANL version of this problem includes the idempotence lemmas
%-----
%input_clause(idempotence_of_add,axiom,
%    [++equal(add(X,X),X)]).
%input_clause(idempotence_of_multiply,axiom,
%    [++equal(multiply(X,X),X)]).
%----

input_clause(prove_associativity,theorem,
    [--equal(add(a,add(b,c)),add(add(a,b),c))]).
%--------------------------------------------------------------------------
