%--------------------------------------------------------------------------
% File     : BOO012=InvIvln-2 : Released v0.0.0, Updated v0.0.0.
% Domain   : Boolean Algebra
% Problem  : Inverse is an involution
% Version  : ANL (equality) axioms.
% English  : 

% Refs     : 
% Source   : ANL problem set
% Names    : prob8.ver2.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   23 (   0 non-Horn)(  16 units)
%            Number of literals          :   31 (  31 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    6 (   3 constants)
%            Number of variables         :   44 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_inverse_is_an_involution,theorem,
    [--equal(inverse(inverse(x)),x)]).
%--------------------------------------------------------------------------
