%--------------------------------------------------------------------------
% File     : HEN012=XLeX-3 : Released v0.0.0, Updated v0.2.2.
% Domain   : Henkin Models
% Problem  : X <= X
% Version  : [McCharen, et al., 1976] (psuedo equality) axioms.
% English  :

% Refs     : 
% Source   : ANL problem set
% Names    : new.ver2.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   15 (   0 non-Horn)(   6 units)
%            Number of literals          :   28 (  15 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    4 (   3 constants)
%            Number of variables         :   31 (   3 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms for equality formulation
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_a_LE_a,theorem,
    [--less_equal(a,a)]).
%--------------------------------------------------------------------------
