%--------------------------------------------------------------------------
% File     : NUM004=SumDiff3-1 : Released v0.0.0, Updated v0.0.0.
% Domain   : Number Theory
% Problem  : (A + B) - C = A + (B - C)
% Version  : [Lawrence & Starkey, 1974] (equality) axioms.
% English  : 

% Refs     : Lawrence J.D., Starkey J.D. (1974) Experimental tests
%            of resolution based theorem-proving strategies, Technical
%            Report, Computer Science Department, Washington State
%            University, Pullman, Washington. Problem 29.
%          : Chang C.L. (1970), The Unit Proof and the Input Proof in
%            Theorm Proving, Communications of the ACM 17(4), 698-707.
% Source   : [Chang, 1970]
% Names    : Chang-Lee-10d [Chang, 1970]

% Status   : 
% Syntax   : Number of clauses           :   13 (   0 non-Horn)(   8 units)
%            Number of literals          :   23 (  23 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    5 (   3 constants)
%            Number of variables         :   35 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : The axioms are OK, even though symmetry and some
%            substitution axioms are missing.
%--------------------------------------------------------------------------
%----Include additive algebra axioms
include('Axioms/NUM002-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_equation,theorem,
    [--equal(subtract(add(a,b),c),add(a,subtract(b,c)))]).
%--------------------------------------------------------------------------
