%--------------------------------------------------------------------------
% File     : NUM283=Factorial-1.007 : Released v0.6.0, Updated v0.11.2.
% Domain   : Miscellaneous
% Problem  : Calculation of factorial
% Version  : Theorem formulation : 7 factorial.
% English  : 

% Refs     : 
% Source   : [SETHEO]
% Names    : fac7.lop [SETHEO]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    7 (   0 non-Horn)(   4 units)
%            Number of literals          :   12 (   0 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    2 (   1 constants)
%            Number of variables         :   13 (   1 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    8

% Comments : 
% Bugfixes : v0.6.1 - Renamed from MSC032-1.
%          : v0.11.2 - Renamed from MSC009-1.007.
%--------------------------------------------------------------------------
input_clause(add_0,axiom,
    [++sum(X,0,X)]).

input_clause(add,axiom,
    [--sum(X,Y,Z),
     ++sum(X,successor(Y),successor(Z))]).

input_clause(times1,axiom,
    [++product(successor(0),X,X)]).

input_clause(times,axiom,
    [--sum(R,Y,Z),
     --product(X,Y,R),
     ++product(successor(X),Y,Z)]).

input_clause(factorial_0,axiom,
    [++factorial(0,successor(0))]).

input_clause(factorial,axiom,
    [--factorial(X,Z),
     --product(successor(X),Z,Y),
     ++factorial(successor(X),Y)]).

input_clause(prove_factorial,theorem,
    [--factorial(successor(successor(successor(successor(successor(
successor(successor(0))))))),Result)]).
%--------------------------------------------------------------------------
