%--------------------------------------------------------------------------
% File     : SET015=UnionComm-1 : Released v0.11.0, Updated v0.11.0.
% Domain   : Set Theory
% Problem  : The union of sets is commutative
% Version  : [McCharen, et al., 1976] axioms.
% English  :

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem S3.
% Source   : ANL problem set
% Names    : S3 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   33 (   3 non-Horn)(   4 units)
%            Number of literals          :   72 (   0 equality)
%            Number of predicate symbols :    4 (   0 propositions)
%            Number of function symbols  :    7 (   3 constants)
%            Number of variables         :   80 (   5 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include set axioms
include('Axioms/SET002-0.ax').
include('Axioms/SET002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_commutativity,theorem,
    [--equal_sets(union(as,bs),union(bs,as))]).
%--------------------------------------------------------------------------
