%--------------------------------------------------------------------------
% File     : SYN001=Allways-1.004 : Released v0.0.0, Updated v0.6.1.
% Domain   : Syntactic
% Problem  : All signed combinations of some propositions
% Version  : Theorem formulation : 4 propositions.
% English  :

% Refs     :
% Source   : TPTP Problem Library
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   16 (  11 non-Horn)(   0 units)
%            Number of literals          :   64 (   0 equality)
%            Number of predicate symbols :    4 (   4 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v0.6.1 - Renamed from SYN003-1.
%--------------------------------------------------------------------------
input_clause(pppp,theorem,
    [++p1,++p2,++p3,++p4]).

input_clause(pppn,theorem,
    [++p1,++p2,++p3,--p4]).

input_clause(ppnp,theorem,
    [++p1,++p2,--p3,++p4]).

input_clause(ppnn,theorem,
    [++p1,++p2,--p3,--p4]).

input_clause(pnpp,theorem,
    [++p1,--p2,++p3,++p4]).

input_clause(pnpn,theorem,
    [++p1,--p2,++p3,--p4]).

input_clause(pnnp,theorem,
    [++p1,--p2,--p3,++p4]).

input_clause(pnnn,theorem,
    [++p1,--p2,--p3,--p4]).

input_clause(nppp,theorem,
    [--p1,++p2,++p3,++p4]).

input_clause(nppn,theorem,
    [--p1,++p2,++p3,--p4]).

input_clause(npnp,theorem,
    [--p1,++p2,--p3,++p4]).

input_clause(npnn,theorem,
    [--p1,++p2,--p3,--p4]).

input_clause(nnpp,theorem,
    [--p1,--p2,++p3,++p4]).

input_clause(nnpn,theorem,
    [--p1,--p2,++p3,--p4]).

input_clause(nnnp,theorem,
    [--p1,--p2,--p3,++p4]).

input_clause(nnnn,theorem,
    [--p1,--p2,--p3,--p4]).
%--------------------------------------------------------------------------
