%--------------------------------------------------------------------------
% File     : SYN001=Allways-1.007 : Released v0.0.0, Updated v0.6.1.
% Domain   : Syntactic
% Problem  : All signed combinations of some propositions
% Version  : Theorem formulation : 7 propositions.
% English  :

% Refs     :
% Source   : TPTP Problem Library
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  128 ( 120 non-Horn)(   0 units)
%            Number of literals          :  896 (   0 equality)
%            Number of predicate symbols :    7 (   7 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    7
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v0.6.1 - Renamed from SYN006-1.
%--------------------------------------------------------------------------
input_clause(ppppppp,theorem,
    [++p1,++p2,++p3,++p4,++p5,++p6,++p7]).

input_clause(ppppppn,theorem,
    [++p1,++p2,++p3,++p4,++p5,++p6,--p7]).

input_clause(pppppnp,theorem,
    [++p1,++p2,++p3,++p4,++p5,--p6,++p7]).

input_clause(pppppnn,theorem,
    [++p1,++p2,++p3,++p4,++p5,--p6,--p7]).

input_clause(ppppnpp,theorem,
    [++p1,++p2,++p3,++p4,--p5,++p6,++p7]).

input_clause(ppppnpn,theorem,
    [++p1,++p2,++p3,++p4,--p5,++p6,--p7]).

input_clause(ppppnnp,theorem,
    [++p1,++p2,++p3,++p4,--p5,--p6,++p7]).

input_clause(ppppnnn,theorem,
    [++p1,++p2,++p3,++p4,--p5,--p6,--p7]).

input_clause(pppnppp,theorem,
    [++p1,++p2,++p3,--p4,++p5,++p6,++p7]).

input_clause(pppnppn,theorem,
    [++p1,++p2,++p3,--p4,++p5,++p6,--p7]).

input_clause(pppnpnp,theorem,
    [++p1,++p2,++p3,--p4,++p5,--p6,++p7]).

input_clause(pppnpnn,theorem,
    [++p1,++p2,++p3,--p4,++p5,--p6,--p7]).

input_clause(pppnnpp,theorem,
    [++p1,++p2,++p3,--p4,--p5,++p6,++p7]).

input_clause(pppnnpn,theorem,
    [++p1,++p2,++p3,--p4,--p5,++p6,--p7]).

input_clause(pppnnnp,theorem,
    [++p1,++p2,++p3,--p4,--p5,--p6,++p7]).

input_clause(pppnnnn,theorem,
    [++p1,++p2,++p3,--p4,--p5,--p6,--p7]).

input_clause(ppnpppp,theorem,
    [++p1,++p2,--p3,++p4,++p5,++p6,++p7]).

input_clause(ppnpppn,theorem,
    [++p1,++p2,--p3,++p4,++p5,++p6,--p7]).

input_clause(ppnppnp,theorem,
    [++p1,++p2,--p3,++p4,++p5,--p6,++p7]).

input_clause(ppnppnn,theorem,
    [++p1,++p2,--p3,++p4,++p5,--p6,--p7]).

input_clause(ppnpnpp,theorem,
    [++p1,++p2,--p3,++p4,--p5,++p6,++p7]).

input_clause(ppnpnpn,theorem,
    [++p1,++p2,--p3,++p4,--p5,++p6,--p7]).

input_clause(ppnpnnp,theorem,
    [++p1,++p2,--p3,++p4,--p5,--p6,++p7]).

input_clause(ppnpnnn,theorem,
    [++p1,++p2,--p3,++p4,--p5,--p6,--p7]).

input_clause(ppnnppp,theorem,
    [++p1,++p2,--p3,--p4,++p5,++p6,++p7]).

input_clause(ppnnppn,theorem,
    [++p1,++p2,--p3,--p4,++p5,++p6,--p7]).

input_clause(ppnnpnp,theorem,
    [++p1,++p2,--p3,--p4,++p5,--p6,++p7]).

input_clause(ppnnpnn,theorem,
    [++p1,++p2,--p3,--p4,++p5,--p6,--p7]).

input_clause(ppnnnpp,theorem,
    [++p1,++p2,--p3,--p4,--p5,++p6,++p7]).

input_clause(ppnnnpn,theorem,
    [++p1,++p2,--p3,--p4,--p5,++p6,--p7]).

input_clause(ppnnnnp,theorem,
    [++p1,++p2,--p3,--p4,--p5,--p6,++p7]).

input_clause(ppnnnnn,theorem,
    [++p1,++p2,--p3,--p4,--p5,--p6,--p7]).

input_clause(pnppppp,theorem,
    [++p1,--p2,++p3,++p4,++p5,++p6,++p7]).

input_clause(pnppppn,theorem,
    [++p1,--p2,++p3,++p4,++p5,++p6,--p7]).

input_clause(pnpppnp,theorem,
    [++p1,--p2,++p3,++p4,++p5,--p6,++p7]).

input_clause(pnpppnn,theorem,
    [++p1,--p2,++p3,++p4,++p5,--p6,--p7]).

input_clause(pnppnpp,theorem,
    [++p1,--p2,++p3,++p4,--p5,++p6,++p7]).

input_clause(pnppnpn,theorem,
    [++p1,--p2,++p3,++p4,--p5,++p6,--p7]).

input_clause(pnppnnp,theorem,
    [++p1,--p2,++p3,++p4,--p5,--p6,++p7]).

input_clause(pnppnnn,theorem,
    [++p1,--p2,++p3,++p4,--p5,--p6,--p7]).

input_clause(pnpnppp,theorem,
    [++p1,--p2,++p3,--p4,++p5,++p6,++p7]).

input_clause(pnpnppn,theorem,
    [++p1,--p2,++p3,--p4,++p5,++p6,--p7]).

input_clause(pnpnpnp,theorem,
    [++p1,--p2,++p3,--p4,++p5,--p6,++p7]).

input_clause(pnpnpnn,theorem,
    [++p1,--p2,++p3,--p4,++p5,--p6,--p7]).

input_clause(pnpnnpp,theorem,
    [++p1,--p2,++p3,--p4,--p5,++p6,++p7]).

input_clause(pnpnnpn,theorem,
    [++p1,--p2,++p3,--p4,--p5,++p6,--p7]).

input_clause(pnpnnnp,theorem,
    [++p1,--p2,++p3,--p4,--p5,--p6,++p7]).

input_clause(pnpnnnn,theorem,
    [++p1,--p2,++p3,--p4,--p5,--p6,--p7]).

input_clause(pnnpppp,theorem,
    [++p1,--p2,--p3,++p4,++p5,++p6,++p7]).

input_clause(pnnpppn,theorem,
    [++p1,--p2,--p3,++p4,++p5,++p6,--p7]).

input_clause(pnnppnp,theorem,
    [++p1,--p2,--p3,++p4,++p5,--p6,++p7]).

input_clause(pnnppnn,theorem,
    [++p1,--p2,--p3,++p4,++p5,--p6,--p7]).

input_clause(pnnpnpp,theorem,
    [++p1,--p2,--p3,++p4,--p5,++p6,++p7]).

input_clause(pnnpnpn,theorem,
    [++p1,--p2,--p3,++p4,--p5,++p6,--p7]).

input_clause(pnnpnnp,theorem,
    [++p1,--p2,--p3,++p4,--p5,--p6,++p7]).

input_clause(pnnpnnn,theorem,
    [++p1,--p2,--p3,++p4,--p5,--p6,--p7]).

input_clause(pnnnppp,theorem,
    [++p1,--p2,--p3,--p4,++p5,++p6,++p7]).

input_clause(pnnnppn,theorem,
    [++p1,--p2,--p3,--p4,++p5,++p6,--p7]).

input_clause(pnnnpnp,theorem,
    [++p1,--p2,--p3,--p4,++p5,--p6,++p7]).

input_clause(pnnnpnn,theorem,
    [++p1,--p2,--p3,--p4,++p5,--p6,--p7]).

input_clause(pnnnnpp,theorem,
    [++p1,--p2,--p3,--p4,--p5,++p6,++p7]).

input_clause(pnnnnpn,theorem,
    [++p1,--p2,--p3,--p4,--p5,++p6,--p7]).

input_clause(pnnnnnp,theorem,
    [++p1,--p2,--p3,--p4,--p5,--p6,++p7]).

input_clause(pnnnnnn,theorem,
    [++p1,--p2,--p3,--p4,--p5,--p6,--p7]).

input_clause(npppppp,theorem,
    [--p1,++p2,++p3,++p4,++p5,++p6,++p7]).

input_clause(npppppn,theorem,
    [--p1,++p2,++p3,++p4,++p5,++p6,--p7]).

input_clause(nppppnp,theorem,
    [--p1,++p2,++p3,++p4,++p5,--p6,++p7]).

input_clause(nppppnn,theorem,
    [--p1,++p2,++p3,++p4,++p5,--p6,--p7]).

input_clause(npppnpp,theorem,
    [--p1,++p2,++p3,++p4,--p5,++p6,++p7]).

input_clause(npppnpn,theorem,
    [--p1,++p2,++p3,++p4,--p5,++p6,--p7]).

input_clause(npppnnp,theorem,
    [--p1,++p2,++p3,++p4,--p5,--p6,++p7]).

input_clause(npppnnn,theorem,
    [--p1,++p2,++p3,++p4,--p5,--p6,--p7]).

input_clause(nppnppp,theorem,
    [--p1,++p2,++p3,--p4,++p5,++p6,++p7]).

input_clause(nppnppn,theorem,
    [--p1,++p2,++p3,--p4,++p5,++p6,--p7]).

input_clause(nppnpnp,theorem,
    [--p1,++p2,++p3,--p4,++p5,--p6,++p7]).

input_clause(nppnpnn,theorem,
    [--p1,++p2,++p3,--p4,++p5,--p6,--p7]).

input_clause(nppnnpp,theorem,
    [--p1,++p2,++p3,--p4,--p5,++p6,++p7]).

input_clause(nppnnpn,theorem,
    [--p1,++p2,++p3,--p4,--p5,++p6,--p7]).

input_clause(nppnnnp,theorem,
    [--p1,++p2,++p3,--p4,--p5,--p6,++p7]).

input_clause(nppnnnn,theorem,
    [--p1,++p2,++p3,--p4,--p5,--p6,--p7]).

input_clause(npnpppp,theorem,
    [--p1,++p2,--p3,++p4,++p5,++p6,++p7]).

input_clause(npnpppn,theorem,
    [--p1,++p2,--p3,++p4,++p5,++p6,--p7]).

input_clause(npnppnp,theorem,
    [--p1,++p2,--p3,++p4,++p5,--p6,++p7]).

input_clause(npnppnn,theorem,
    [--p1,++p2,--p3,++p4,++p5,--p6,--p7]).

input_clause(npnpnpp,theorem,
    [--p1,++p2,--p3,++p4,--p5,++p6,++p7]).

input_clause(npnpnpn,theorem,
    [--p1,++p2,--p3,++p4,--p5,++p6,--p7]).

input_clause(npnpnnp,theorem,
    [--p1,++p2,--p3,++p4,--p5,--p6,++p7]).

input_clause(npnpnnn,theorem,
    [--p1,++p2,--p3,++p4,--p5,--p6,--p7]).

input_clause(npnnppp,theorem,
    [--p1,++p2,--p3,--p4,++p5,++p6,++p7]).

input_clause(npnnppn,theorem,
    [--p1,++p2,--p3,--p4,++p5,++p6,--p7]).

input_clause(npnnpnp,theorem,
    [--p1,++p2,--p3,--p4,++p5,--p6,++p7]).

input_clause(npnnpnn,theorem,
    [--p1,++p2,--p3,--p4,++p5,--p6,--p7]).

input_clause(npnnnpp,theorem,
    [--p1,++p2,--p3,--p4,--p5,++p6,++p7]).

input_clause(npnnnpn,theorem,
    [--p1,++p2,--p3,--p4,--p5,++p6,--p7]).

input_clause(npnnnnp,theorem,
    [--p1,++p2,--p3,--p4,--p5,--p6,++p7]).

input_clause(npnnnnn,theorem,
    [--p1,++p2,--p3,--p4,--p5,--p6,--p7]).

input_clause(nnppppp,theorem,
    [--p1,--p2,++p3,++p4,++p5,++p6,++p7]).

input_clause(nnppppn,theorem,
    [--p1,--p2,++p3,++p4,++p5,++p6,--p7]).

input_clause(nnpppnp,theorem,
    [--p1,--p2,++p3,++p4,++p5,--p6,++p7]).

input_clause(nnpppnn,theorem,
    [--p1,--p2,++p3,++p4,++p5,--p6,--p7]).

input_clause(nnppnpp,theorem,
    [--p1,--p2,++p3,++p4,--p5,++p6,++p7]).

input_clause(nnppnpn,theorem,
    [--p1,--p2,++p3,++p4,--p5,++p6,--p7]).

input_clause(nnppnnp,theorem,
    [--p1,--p2,++p3,++p4,--p5,--p6,++p7]).

input_clause(nnppnnn,theorem,
    [--p1,--p2,++p3,++p4,--p5,--p6,--p7]).

input_clause(nnpnppp,theorem,
    [--p1,--p2,++p3,--p4,++p5,++p6,++p7]).

input_clause(nnpnppn,theorem,
    [--p1,--p2,++p3,--p4,++p5,++p6,--p7]).

input_clause(nnpnpnp,theorem,
    [--p1,--p2,++p3,--p4,++p5,--p6,++p7]).

input_clause(nnpnpnn,theorem,
    [--p1,--p2,++p3,--p4,++p5,--p6,--p7]).

input_clause(nnpnnpp,theorem,
    [--p1,--p2,++p3,--p4,--p5,++p6,++p7]).

input_clause(nnpnnpn,theorem,
    [--p1,--p2,++p3,--p4,--p5,++p6,--p7]).

input_clause(nnpnnnp,theorem,
    [--p1,--p2,++p3,--p4,--p5,--p6,++p7]).

input_clause(nnpnnnn,theorem,
    [--p1,--p2,++p3,--p4,--p5,--p6,--p7]).

input_clause(nnnpppp,theorem,
    [--p1,--p2,--p3,++p4,++p5,++p6,++p7]).

input_clause(nnnpppn,theorem,
    [--p1,--p2,--p3,++p4,++p5,++p6,--p7]).

input_clause(nnnppnp,theorem,
    [--p1,--p2,--p3,++p4,++p5,--p6,++p7]).

input_clause(nnnppnn,theorem,
    [--p1,--p2,--p3,++p4,++p5,--p6,--p7]).

input_clause(nnnpnpp,theorem,
    [--p1,--p2,--p3,++p4,--p5,++p6,++p7]).

input_clause(nnnpnpn,theorem,
    [--p1,--p2,--p3,++p4,--p5,++p6,--p7]).

input_clause(nnnpnnp,theorem,
    [--p1,--p2,--p3,++p4,--p5,--p6,++p7]).

input_clause(nnnpnnn,theorem,
    [--p1,--p2,--p3,++p4,--p5,--p6,--p7]).

input_clause(nnnnppp,theorem,
    [--p1,--p2,--p3,--p4,++p5,++p6,++p7]).

input_clause(nnnnppn,theorem,
    [--p1,--p2,--p3,--p4,++p5,++p6,--p7]).

input_clause(nnnnpnp,theorem,
    [--p1,--p2,--p3,--p4,++p5,--p6,++p7]).

input_clause(nnnnpnn,theorem,
    [--p1,--p2,--p3,--p4,++p5,--p6,--p7]).

input_clause(nnnnnpp,theorem,
    [--p1,--p2,--p3,--p4,--p5,++p6,++p7]).

input_clause(nnnnnpn,theorem,
    [--p1,--p2,--p3,--p4,--p5,++p6,--p7]).

input_clause(nnnnnnp,theorem,
    [--p1,--p2,--p3,--p4,--p5,--p6,++p7]).

input_clause(nnnnnnn,theorem,
    [--p1,--p2,--p3,--p4,--p5,--p6,--p7]).
%--------------------------------------------------------------------------
