%--------------------------------------------------------------------------
% File     : SYN002=Even-1.020 : Released v0.0.0, Updated v0.6.1.
% Domain   : Syntactic
% Problem  : Even Problem 
% Version  : Theorem formulation : Number 20.
% English  : Given by the clauses C1: p(X) v p(f(X)) and C2: ~p(X) v
%            ~p(f^N(X)), where N is some fixed even number.

% Refs     : Socher-Ambrosius R. (1992), How to Avoid the Derivation 
%            of Redundant Clauses in Reasoning Systems`, In Journal 
%            of Automated Reasoning 9(1), Kluwer Academic Publishers, 
%            Dordrecht, The Netherlands, 77-97.
% Source   : [Socher-Ambrosius, 1992]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    2 (   1 non-Horn)(   0 units)
%            Number of literals          :    4 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    1 (   0 constants)
%            Number of variables         :    2 (   0 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :   21

% Comments : 
% Bugfixes : v0.6.1 - Renamed from SYN024-1.
%--------------------------------------------------------------------------
input_clause(positive,theorem,
    [++p(A),
     ++p(f(A))]).

input_clause(negative,theorem,
    [--p(A),
     --p(f(f(f(f(f(f(f(f(f(f(f(f(f(f(f(f(f(f(f(f(A
)))))))))))))))))))))]).
%--------------------------------------------------------------------------
