%--------------------------------------------------------------------------
% File     : SYN009=Relev2-1 : Released v0.9.0, Updated v0.9.0.
% Domain   : Syntactic
% Problem  : A problem to demonstrate the usefulness of relevancy testing
% Version  : 
% English  : 

% Refs     : Wilson D.S., Loveland D.W. (1989), Incorporating Relevancy
%            Testing in SATCHMO, CS-1989-24, Department of Computer
%            Science, Duke University. Figure 8.
% Source   : [Wilson & Loveland, 1989]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    7 (   1 non-Horn)(   6 units)
%            Number of literals          :   12 (   0 equality)
%            Number of predicate symbols :    4 (   0 propositions)
%            Number of function symbols  :    3 (   3 constants)
%            Number of variables         :    9 (   6 singletons)
%            Maximal clause size         :    6
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p(c,X,Y)]).

input_clause(clause_2,theorem,
    [--q(X,c,Y)]).

input_clause(clause_3,theorem,
    [--r(X,Y,c)]).

input_clause(clause_4,theorem,
    [++s(a)]).

input_clause(clause_5,theorem,
    [++s(b)]).

input_clause(clause_6,theorem,
    [++s(c)]).

input_clause(clause_7,theorem,
    [--s(X),--s(Y),--s(Z),
     ++p(X,Y,Z),++q(X,Y,Z),++r(X,Y,Z)]).
%--------------------------------------------------------------------------

