%--------------------------------------------------------------------------
% File     : SYN010=Letz-1.010 : Released v0.11.0, Updated v0.11.2.
% Domain   : Syntactic
% Problem  : Letz problem 
% Version  : Theorem formulation : Size 2-10.
% English  :

% Refs     : Letz R. (1993), Controlled Integrations of the Cut Rule
%            into Connection Tableau Calculi, Unpublished. Example 5.1.
% Source   : [Letz, 1993]
% Names    :

% Status   : 
% Syntax   : Number of clauses           :   22 (   0 non-Horn)(  11 units)
%            Number of literals          :  132 (   0 equality)
%            Number of predicate symbols :   21 (  21 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :   11
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p_0]).

input_clause(clause_2,theorem,
    [++p_0,--p_1_1,--p_1_2,--p_1_3,--p_1_4,--p_1_5,--p_1_6,--p_1_7,
--p_1_8,--p_1_9,--p_1_10]).

input_clause(clause_3,theorem,
    [++p_1_1,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5,--p_2_6,--p_2_7,
--p_2_8,--p_2_9,--p_2_10]).

input_clause(clause_4,theorem,
    [++p_1_2,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5,--p_2_6,--p_2_7,
--p_2_8,--p_2_9,--p_2_10]).

input_clause(clause_5,theorem,
    [++p_1_3,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5,--p_2_6,--p_2_7,
--p_2_8,--p_2_9,--p_2_10]).

input_clause(clause_6,theorem,
    [++p_1_4,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5,--p_2_6,--p_2_7,
--p_2_8,--p_2_9,--p_2_10]).

input_clause(clause_7,theorem,
    [++p_1_5,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5,--p_2_6,--p_2_7,
--p_2_8,--p_2_9,--p_2_10]).

input_clause(clause_8,theorem,
    [++p_1_6,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5,--p_2_6,--p_2_7,
--p_2_8,--p_2_9,--p_2_10]).

input_clause(clause_9,theorem,
    [++p_1_7,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5,--p_2_6,--p_2_7,
--p_2_8,--p_2_9,--p_2_10]).

input_clause(clause_10,theorem,
    [++p_1_8,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5,--p_2_6,--p_2_7,
--p_2_8,--p_2_9,--p_2_10]).

input_clause(clause_11,theorem,
    [++p_1_9,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5,--p_2_6,--p_2_7,
--p_2_8,--p_2_9,--p_2_10]).

input_clause(clause_12,theorem,
    [++p_1_10,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5,--p_2_6,--p_2_7,
--p_2_8,--p_2_9,--p_2_10]).

input_clause(clause_13,theorem,
    [++p_2_1]).

input_clause(clause_14,theorem,
    [++p_2_2]).

input_clause(clause_15,theorem,
    [++p_2_3]).

input_clause(clause_16,theorem,
    [++p_2_4]).

input_clause(clause_17,theorem,
    [++p_2_5]).

input_clause(clause_18,theorem,
    [++p_2_6]).

input_clause(clause_19,theorem,
    [++p_2_7]).

input_clause(clause_20,theorem,
    [++p_2_8]).

input_clause(clause_21,theorem,
    [++p_2_9]).

input_clause(clause_22,theorem,
    [++p_2_10]).
%--------------------------------------------------------------------------
