%--------------------------------------------------------------------------
% File     : SYN010=Letz-2.005 : Released v0.11.0, Updated v0.11.2.
% Domain   : Syntactic
% Problem  : Letz problem 
% Version  : Theorem formulation : Size 5-5.
% English  :

% Refs     : Letz R. (1993), Controlled Integrations of the Cut Rule
%            into Connection Tableau Calculi, Unpublished. Example 5.1.
% Source   : [Letz, 1993]
% Names    :

% Status   : 
% Syntax   : Number of clauses           :   27 (   0 non-Horn)(   6 units)
%            Number of literals          :  132 (   0 equality)
%            Number of predicate symbols :   26 (  26 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    6
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p_0]).

input_clause(clause_2,theorem,
    [++p_0,--p_1_1,--p_1_2,--p_1_3,--p_1_4,--p_1_5]).

input_clause(clause_3,theorem,
    [++p_1_1,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5]).

input_clause(clause_4,theorem,
    [++p_1_2,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5]).

input_clause(clause_5,theorem,
    [++p_1_3,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5]).

input_clause(clause_6,theorem,
    [++p_1_4,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5]).

input_clause(clause_7,theorem,
    [++p_1_5,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5]).

input_clause(clause_8,theorem,
    [++p_2_1,--p_3_1,--p_3_2,--p_3_3,--p_3_4,--p_3_5]).

input_clause(clause_9,theorem,
    [++p_2_2,--p_3_1,--p_3_2,--p_3_3,--p_3_4,--p_3_5]).

input_clause(clause_10,theorem,
    [++p_2_3,--p_3_1,--p_3_2,--p_3_3,--p_3_4,--p_3_5]).

input_clause(clause_11,theorem,
    [++p_2_4,--p_3_1,--p_3_2,--p_3_3,--p_3_4,--p_3_5]).

input_clause(clause_12,theorem,
    [++p_2_5,--p_3_1,--p_3_2,--p_3_3,--p_3_4,--p_3_5]).

input_clause(clause_13,theorem,
    [++p_3_1,--p_4_1,--p_4_2,--p_4_3,--p_4_4,--p_4_5]).

input_clause(clause_14,theorem,
    [++p_3_2,--p_4_1,--p_4_2,--p_4_3,--p_4_4,--p_4_5]).

input_clause(clause_15,theorem,
    [++p_3_3,--p_4_1,--p_4_2,--p_4_3,--p_4_4,--p_4_5]).

input_clause(clause_16,theorem,
    [++p_3_4,--p_4_1,--p_4_2,--p_4_3,--p_4_4,--p_4_5]).

input_clause(clause_17,theorem,
    [++p_3_5,--p_4_1,--p_4_2,--p_4_3,--p_4_4,--p_4_5]).

input_clause(clause_18,theorem,
    [++p_4_1,--p_5_1,--p_5_2,--p_5_3,--p_5_4,--p_5_5]).

input_clause(clause_19,theorem,
    [++p_4_2,--p_5_1,--p_5_2,--p_5_3,--p_5_4,--p_5_5]).

input_clause(clause_20,theorem,
    [++p_4_3,--p_5_1,--p_5_2,--p_5_3,--p_5_4,--p_5_5]).

input_clause(clause_21,theorem,
    [++p_4_4,--p_5_1,--p_5_2,--p_5_3,--p_5_4,--p_5_5]).

input_clause(clause_22,theorem,
    [++p_4_5,--p_5_1,--p_5_2,--p_5_3,--p_5_4,--p_5_5]).

input_clause(clause_23,theorem,
    [++p_5_1]).

input_clause(clause_24,theorem,
    [++p_5_2]).

input_clause(clause_25,theorem,
    [++p_5_3]).

input_clause(clause_26,theorem,
    [++p_5_4]).

input_clause(clause_27,theorem,
    [++p_5_5]).
%--------------------------------------------------------------------------
