%--------------------------------------------------------------------------
% File     : SYN033=DM-1 : Released v0.0.0, Updated v0.8.1.
% Domain   : Syntactic
% Problem  : DM
% Version  : 
% English  :

% Refs     : Michie D., Ross R. and Shannan G.J. (1972), G-deduction, 
%            Machine Intelligence 7, Edinburgh University Press,
%            141-165. Problem DM.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on
%            Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : DM [Wilson & Minker, 1976]

% Status   : 
% Syntax   : Number of clauses           :    4 (   0 non-Horn)(   3 units)
%            Number of literals          :    7 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    3 (   0 constants)
%            Number of variables         :   11 (   0 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN015.
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [++p(g(A,B),A,B)]).

input_clause(clause2,axiom,
    [++p(A,h(A,B),B)]).

input_clause(clause3,axiom,
    [--p(A,B,C),
     --p(D,E,B),
     --p(A,D,F),
     ++p(F,E,C)]).

input_clause(prove_something,theorem,
    [--p(k(A),A,k(A))]).
%--------------------------------------------------------------------------
