%--------------------------------------------------------------------------
% File     : SYN034=QW-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : QW
% Version  : 
% English  :

% Refs     : Michie D., Ross R. and Shannan G.J. (1972), G-deduction, 
%            Machine Intelligence 7, Edinburgh University Press,
%            141-165. Problem QW.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on
%            Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : QW [Wilson & Minker, 1976]

% Status   : 
% Syntax   : Number of clauses           :    3 (   2 non-Horn)(   0 units)
%            Number of literals          :    7 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    2 (   1 constants)
%            Number of variables         :    4 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN083-1.
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [++p(A,a),
     ++p(A,f(A))]).

input_clause(clause2,axiom,
    [++p(A,a),
     ++p(f(A),A)]).

input_clause(theorem,theorem,
    [--p(A,B),
     --p(B,A),
     --p(B,a)]).
%--------------------------------------------------------------------------
