%--------------------------------------------------------------------------
% File     : SYN044=FPell10-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 10
% Version  : 
% English  : A reasonably simple probloem designed to see whether 
%            'natural' systems correctly manipulate premises.

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 10 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    6 (   2 non-Horn)(   0 units)
%            Number of literals          :   13 (   0 equality)
%            Number of predicate symbols :    3 (   3 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN042-1.
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--q,
     ++r]).

input_clause(clause_2,axiom,
    [--r,
     ++p]).

input_clause(clause_3,axiom,
    [--r,
     ++q]).

input_clause(clause_4,axiom,
    [--p,
     ++q,
     ++r]).

input_clause(clause_5,theorem,
    [--p,
     --q]).

input_clause(clause_6,theorem,
    [++p,
     ++q]).
%--------------------------------------------------------------------------
