%--------------------------------------------------------------------------
% File     : SYN049=FPell19-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 19
% Version  : 
% English  :

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 19 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 units)
%            Number of literals          :    4 (   0 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    2 (   0 constants)
%            Number of variables         :    3 (   2 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN047-1.
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--big_p(f(X)),
     ++big_q(g(X))]).

input_clause(clause_2,theorem,
    [++big_p(X)]).

input_clause(clause_3,theorem,
    [--big_q(X)]).
%--------------------------------------------------------------------------
