%--------------------------------------------------------------------------
% File     : SYN054=FPell24-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 24
% Version  : 
% English  :

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of
%            Formal Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 24 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    6 (   2 non-Horn)(   0 units)
%            Number of literals          :   13 (   0 equality)
%            Number of predicate symbols :    4 (   0 propositions)
%            Number of function symbols  :    2 (   2 constants)
%            Number of variables         :    5 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    1

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN052-1.
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_s(X),
     --big_q(X)]).

input_clause(clause_2,axiom,
    [--big_p(X),
     ++big_q(X),
     ++big_r(X)]).

input_clause(clause_3,axiom,
    [++big_p(a),
     ++big_q(b)]).

input_clause(clause_4,axiom,
    [--big_q(X),
     ++big_s(X)]).

input_clause(clause_5,theorem,
    [--big_r(X),
     ++big_s(X)]).

input_clause(clause_6,theorem,
    [--big_p(X),
     --big_r(X)]).
%--------------------------------------------------------------------------
