%--------------------------------------------------------------------------
% File     : SYN062=FPell32-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 32
% Version  : 
% English  :

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of
%            Formal Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 32 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    7 (   0 non-Horn)(   3 units)
%            Number of literals          :   14 (   0 equality)
%            Number of predicate symbols :    6 (   0 propositions)
%            Number of function symbols  :    1 (   1 constants)
%            Number of variables         :    4 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    1

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN060-1.
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_f(X),
     --big_g(X),
     ++big_i(X)]).

input_clause(clause_2,axiom,
    [--big_f(X),
     --big_h(X),
     ++big_i(X)]).

input_clause(clause_3,axiom,
    [--big_i(X),
     --big_h(X),
     ++big_j(X)]).

input_clause(clause_4,axiom,
    [--big_k(X),
     ++big_h(X)]).

input_clause(clause_5,theorem,
    [++big_f(a)]).

input_clause(clause_6,theorem,
    [++big_k(a)]).

input_clause(clause_7,theorem,
    [--big_j(a)]).
%--------------------------------------------------------------------------
