%--------------------------------------------------------------------------
% File     : SYN066=FPell37-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 37
% Version  : 
% English  :

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : p37.in [ANL]
%          : Pelletier 37 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    6 (   1 non-Horn)(   2 units)
%            Number of literals          :   10 (   0 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    5 (   1 constants)
%            Number of variables         :   12 (   4 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN064-1.
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_p(Y,X),
     ++big_p(f(X,Y),g(X))]).

input_clause(clause_2,axiom,
    [++big_p(f(X,Y),X)]).

input_clause(clause_3,axiom,
    [--big_p(f(X,Y),g(X)),
     ++big_q(h(X,Y),g(X))]).

input_clause(clause_4,axiom,
    [++big_p(X,Y),
     ++big_q(i(X,Y),X)]).

input_clause(clause_5,axiom,
    [--big_q(X,Y),
     ++big_r(Z,Z)]).

input_clause(clause_6,theorem,
    [--big_r(a,Z)]).
%--------------------------------------------------------------------------
