%--------------------------------------------------------------------------
% File     : SYN091=DAPsyms2-1.005 : Released v0.9.0, Updated v0.9.0.
% Domain   : Syntactic
% Problem  : Plaisted problem sym(s(2,5))
% Version  : Theorem formulation : Size 5.
% English  : 

% Refs     : Plaisted D.A. (Unpublished), The Search Efficiency of
%            Theorem Proving Strategies.
% Source   : [Plaisted, Unpublished]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  182 (  80 non-Horn)(   2 units)
%            Number of literals          :  522 (   0 equality)
%            Number of predicate symbols :   60 (  60 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(s2_goal_1,theorem,
    [--p_1_5]).

input_clause(s2_type1_1,axiom,
    [++p_1_2,--p_2_2,--p_1_1]).

input_clause(s2_type1_2,axiom,
    [++p_1_2,--p_2_2,--q_1_1]).

input_clause(s2_type1_3,axiom,
    [++p_1_2,--q_2_2,--p_1_1]).

input_clause(s2_type1_4,axiom,
    [++p_1_2,--q_2_2,--q_1_1]).

input_clause(s2_type1_5,axiom,
    [++q_1_2,--p_2_2,--p_1_1]).

input_clause(s2_type1_6,axiom,
    [++q_1_2,--p_2_2,--q_1_1]).

input_clause(s2_type1_7,axiom,
    [++q_1_2,--q_2_2,--p_1_1]).

input_clause(s2_type1_8,axiom,
    [++q_1_2,--q_2_2,--q_1_1]).

input_clause(s2_type1_9,axiom,
    [++p_1_3,--p_2_3,--p_1_2]).

input_clause(s2_type1_10,axiom,
    [++p_1_3,--p_2_3,--q_1_2]).

input_clause(s2_type1_11,axiom,
    [++p_1_3,--q_2_3,--p_1_2]).

input_clause(s2_type1_12,axiom,
    [++p_1_3,--q_2_3,--q_1_2]).

input_clause(s2_type1_13,axiom,
    [++q_1_3,--p_2_3,--p_1_2]).

input_clause(s2_type1_14,axiom,
    [++q_1_3,--p_2_3,--q_1_2]).

input_clause(s2_type1_15,axiom,
    [++q_1_3,--q_2_3,--p_1_2]).

input_clause(s2_type1_16,axiom,
    [++q_1_3,--q_2_3,--q_1_2]).

input_clause(s2_type1_17,axiom,
    [++p_1_4,--p_2_4,--p_1_3]).

input_clause(s2_type1_18,axiom,
    [++p_1_4,--p_2_4,--q_1_3]).

input_clause(s2_type1_19,axiom,
    [++p_1_4,--q_2_4,--p_1_3]).

input_clause(s2_type1_20,axiom,
    [++p_1_4,--q_2_4,--q_1_3]).

input_clause(s2_type1_21,axiom,
    [++q_1_4,--p_2_4,--p_1_3]).

input_clause(s2_type1_22,axiom,
    [++q_1_4,--p_2_4,--q_1_3]).

input_clause(s2_type1_23,axiom,
    [++q_1_4,--q_2_4,--p_1_3]).

input_clause(s2_type1_24,axiom,
    [++q_1_4,--q_2_4,--q_1_3]).

input_clause(s2_type1_25,axiom,
    [++p_1_5,--p_2_5,--p_1_4]).

input_clause(s2_type1_26,axiom,
    [++p_1_5,--p_2_5,--q_1_4]).

input_clause(s2_type1_27,axiom,
    [++p_1_5,--q_2_5,--p_1_4]).

input_clause(s2_type1_28,axiom,
    [++p_1_5,--q_2_5,--q_1_4]).

input_clause(s2_type1_29,axiom,
    [++q_1_5,--p_2_5,--p_1_4]).

input_clause(s2_type1_30,axiom,
    [++q_1_5,--p_2_5,--q_1_4]).

input_clause(s2_type1_31,axiom,
    [++q_1_5,--q_2_5,--p_1_4]).

input_clause(s2_type1_32,axiom,
    [++q_1_5,--q_2_5,--q_1_4]).

input_clause(s2_type1_33,axiom,
    [++p_2_3,--p_3_3,--p_2_2]).

input_clause(s2_type1_34,axiom,
    [++p_2_3,--p_3_3,--q_2_2]).

input_clause(s2_type1_35,axiom,
    [++p_2_3,--q_3_3,--p_2_2]).

input_clause(s2_type1_36,axiom,
    [++p_2_3,--q_3_3,--q_2_2]).

input_clause(s2_type1_37,axiom,
    [++q_2_3,--p_3_3,--p_2_2]).

input_clause(s2_type1_38,axiom,
    [++q_2_3,--p_3_3,--q_2_2]).

input_clause(s2_type1_39,axiom,
    [++q_2_3,--q_3_3,--p_2_2]).

input_clause(s2_type1_40,axiom,
    [++q_2_3,--q_3_3,--q_2_2]).

input_clause(s2_type1_41,axiom,
    [++p_2_4,--p_3_4,--p_2_3]).

input_clause(s2_type1_42,axiom,
    [++p_2_4,--p_3_4,--q_2_3]).

input_clause(s2_type1_43,axiom,
    [++p_2_4,--q_3_4,--p_2_3]).

input_clause(s2_type1_44,axiom,
    [++p_2_4,--q_3_4,--q_2_3]).

input_clause(s2_type1_45,axiom,
    [++q_2_4,--p_3_4,--p_2_3]).

input_clause(s2_type1_46,axiom,
    [++q_2_4,--p_3_4,--q_2_3]).

input_clause(s2_type1_47,axiom,
    [++q_2_4,--q_3_4,--p_2_3]).

input_clause(s2_type1_48,axiom,
    [++q_2_4,--q_3_4,--q_2_3]).

input_clause(s2_type1_49,axiom,
    [++p_2_5,--p_3_5,--p_2_4]).

input_clause(s2_type1_50,axiom,
    [++p_2_5,--p_3_5,--q_2_4]).

input_clause(s2_type1_51,axiom,
    [++p_2_5,--q_3_5,--p_2_4]).

input_clause(s2_type1_52,axiom,
    [++p_2_5,--q_3_5,--q_2_4]).

input_clause(s2_type1_53,axiom,
    [++q_2_5,--p_3_5,--p_2_4]).

input_clause(s2_type1_54,axiom,
    [++q_2_5,--p_3_5,--q_2_4]).

input_clause(s2_type1_55,axiom,
    [++q_2_5,--q_3_5,--p_2_4]).

input_clause(s2_type1_56,axiom,
    [++q_2_5,--q_3_5,--q_2_4]).

input_clause(s2_type1_57,axiom,
    [++p_3_4,--p_4_4,--p_3_3]).

input_clause(s2_type1_58,axiom,
    [++p_3_4,--p_4_4,--q_3_3]).

input_clause(s2_type1_59,axiom,
    [++p_3_4,--q_4_4,--p_3_3]).

input_clause(s2_type1_60,axiom,
    [++p_3_4,--q_4_4,--q_3_3]).

input_clause(s2_type1_61,axiom,
    [++q_3_4,--p_4_4,--p_3_3]).

input_clause(s2_type1_62,axiom,
    [++q_3_4,--p_4_4,--q_3_3]).

input_clause(s2_type1_63,axiom,
    [++q_3_4,--q_4_4,--p_3_3]).

input_clause(s2_type1_64,axiom,
    [++q_3_4,--q_4_4,--q_3_3]).

input_clause(s2_type1_65,axiom,
    [++p_3_5,--p_4_5,--p_3_4]).

input_clause(s2_type1_66,axiom,
    [++p_3_5,--p_4_5,--q_3_4]).

input_clause(s2_type1_67,axiom,
    [++p_3_5,--q_4_5,--p_3_4]).

input_clause(s2_type1_68,axiom,
    [++p_3_5,--q_4_5,--q_3_4]).

input_clause(s2_type1_69,axiom,
    [++q_3_5,--p_4_5,--p_3_4]).

input_clause(s2_type1_70,axiom,
    [++q_3_5,--p_4_5,--q_3_4]).

input_clause(s2_type1_71,axiom,
    [++q_3_5,--q_4_5,--p_3_4]).

input_clause(s2_type1_72,axiom,
    [++q_3_5,--q_4_5,--q_3_4]).

input_clause(s2_type1_73,axiom,
    [++p_4_5,--p_5_5,--p_4_4]).

input_clause(s2_type1_74,axiom,
    [++p_4_5,--p_5_5,--q_4_4]).

input_clause(s2_type1_75,axiom,
    [++p_4_5,--q_5_5,--p_4_4]).

input_clause(s2_type1_76,axiom,
    [++p_4_5,--q_5_5,--q_4_4]).

input_clause(s2_type1_77,axiom,
    [++q_4_5,--p_5_5,--p_4_4]).

input_clause(s2_type1_78,axiom,
    [++q_4_5,--p_5_5,--q_4_4]).

input_clause(s2_type1_79,axiom,
    [++q_4_5,--q_5_5,--p_4_4]).

input_clause(s2_type1_80,axiom,
    [++q_4_5,--q_5_5,--q_4_4]).

input_clause(s2_type21_1,axiom,
    [++p_1_1,--p_1_3]).

input_clause(s2_type21_2,axiom,
    [++p_2_2,--p_2_4]).

input_clause(s2_type21_3,axiom,
    [++q_1_1,--q_1_3]).

input_clause(s2_type21_4,axiom,
    [++q_2_2,--q_2_4]).

input_clause(s2_type22_1,axiom,
    [++p_3_3,--p_1_3]).

input_clause(s2_type22_2,axiom,
    [++p_4_4,--p_2_4]).

input_clause(s2_type22_3,axiom,
    [++p_5_5,--p_3_5]).

input_clause(s2_type22_4,axiom,
    [++q_3_3,--q_1_3]).

input_clause(s2_type22_5,axiom,
    [++q_4_4,--q_2_4]).

input_clause(s2_type22_6,axiom,
    [++q_5_5,--q_3_5]).

input_clause(sym_s2_goal_1,axiom,
    [++sym_p_1_5]).

input_clause(sym_s2_type1_1,axiom,
    [--sym_p_1_2,++sym_p_2_2,++sym_p_1_1]).

input_clause(sym_s2_type1_2,axiom,
    [--sym_p_1_2,++sym_p_2_2,++sym_q_1_1]).

input_clause(sym_s2_type1_3,axiom,
    [--sym_p_1_2,++sym_q_2_2,++sym_p_1_1]).

input_clause(sym_s2_type1_4,axiom,
    [--sym_p_1_2,++sym_q_2_2,++sym_q_1_1]).

input_clause(sym_s2_type1_5,axiom,
    [--sym_q_1_2,++sym_p_2_2,++sym_p_1_1]).

input_clause(sym_s2_type1_6,axiom,
    [--sym_q_1_2,++sym_p_2_2,++sym_q_1_1]).

input_clause(sym_s2_type1_7,axiom,
    [--sym_q_1_2,++sym_q_2_2,++sym_p_1_1]).

input_clause(sym_s2_type1_8,axiom,
    [--sym_q_1_2,++sym_q_2_2,++sym_q_1_1]).

input_clause(sym_s2_type1_9,axiom,
    [--sym_p_1_3,++sym_p_2_3,++sym_p_1_2]).

input_clause(sym_s2_type1_10,axiom,
    [--sym_p_1_3,++sym_p_2_3,++sym_q_1_2]).

input_clause(sym_s2_type1_11,axiom,
    [--sym_p_1_3,++sym_q_2_3,++sym_p_1_2]).

input_clause(sym_s2_type1_12,axiom,
    [--sym_p_1_3,++sym_q_2_3,++sym_q_1_2]).

input_clause(sym_s2_type1_13,axiom,
    [--sym_q_1_3,++sym_p_2_3,++sym_p_1_2]).

input_clause(sym_s2_type1_14,axiom,
    [--sym_q_1_3,++sym_p_2_3,++sym_q_1_2]).

input_clause(sym_s2_type1_15,axiom,
    [--sym_q_1_3,++sym_q_2_3,++sym_p_1_2]).

input_clause(sym_s2_type1_16,axiom,
    [--sym_q_1_3,++sym_q_2_3,++sym_q_1_2]).

input_clause(sym_s2_type1_17,axiom,
    [--sym_p_1_4,++sym_p_2_4,++sym_p_1_3]).

input_clause(sym_s2_type1_18,axiom,
    [--sym_p_1_4,++sym_p_2_4,++sym_q_1_3]).

input_clause(sym_s2_type1_19,axiom,
    [--sym_p_1_4,++sym_q_2_4,++sym_p_1_3]).

input_clause(sym_s2_type1_20,axiom,
    [--sym_p_1_4,++sym_q_2_4,++sym_q_1_3]).

input_clause(sym_s2_type1_21,axiom,
    [--sym_q_1_4,++sym_p_2_4,++sym_p_1_3]).

input_clause(sym_s2_type1_22,axiom,
    [--sym_q_1_4,++sym_p_2_4,++sym_q_1_3]).

input_clause(sym_s2_type1_23,axiom,
    [--sym_q_1_4,++sym_q_2_4,++sym_p_1_3]).

input_clause(sym_s2_type1_24,axiom,
    [--sym_q_1_4,++sym_q_2_4,++sym_q_1_3]).

input_clause(sym_s2_type1_25,axiom,
    [--sym_p_1_5,++sym_p_2_5,++sym_p_1_4]).

input_clause(sym_s2_type1_26,axiom,
    [--sym_p_1_5,++sym_p_2_5,++sym_q_1_4]).

input_clause(sym_s2_type1_27,axiom,
    [--sym_p_1_5,++sym_q_2_5,++sym_p_1_4]).

input_clause(sym_s2_type1_28,axiom,
    [--sym_p_1_5,++sym_q_2_5,++sym_q_1_4]).

input_clause(sym_s2_type1_29,axiom,
    [--sym_q_1_5,++sym_p_2_5,++sym_p_1_4]).

input_clause(sym_s2_type1_30,axiom,
    [--sym_q_1_5,++sym_p_2_5,++sym_q_1_4]).

input_clause(sym_s2_type1_31,axiom,
    [--sym_q_1_5,++sym_q_2_5,++sym_p_1_4]).

input_clause(sym_s2_type1_32,axiom,
    [--sym_q_1_5,++sym_q_2_5,++sym_q_1_4]).

input_clause(sym_s2_type1_33,axiom,
    [--sym_p_2_3,++sym_p_3_3,++sym_p_2_2]).

input_clause(sym_s2_type1_34,axiom,
    [--sym_p_2_3,++sym_p_3_3,++sym_q_2_2]).

input_clause(sym_s2_type1_35,axiom,
    [--sym_p_2_3,++sym_q_3_3,++sym_p_2_2]).

input_clause(sym_s2_type1_36,axiom,
    [--sym_p_2_3,++sym_q_3_3,++sym_q_2_2]).

input_clause(sym_s2_type1_37,axiom,
    [--sym_q_2_3,++sym_p_3_3,++sym_p_2_2]).

input_clause(sym_s2_type1_38,axiom,
    [--sym_q_2_3,++sym_p_3_3,++sym_q_2_2]).

input_clause(sym_s2_type1_39,axiom,
    [--sym_q_2_3,++sym_q_3_3,++sym_p_2_2]).

input_clause(sym_s2_type1_40,axiom,
    [--sym_q_2_3,++sym_q_3_3,++sym_q_2_2]).

input_clause(sym_s2_type1_41,axiom,
    [--sym_p_2_4,++sym_p_3_4,++sym_p_2_3]).

input_clause(sym_s2_type1_42,axiom,
    [--sym_p_2_4,++sym_p_3_4,++sym_q_2_3]).

input_clause(sym_s2_type1_43,axiom,
    [--sym_p_2_4,++sym_q_3_4,++sym_p_2_3]).

input_clause(sym_s2_type1_44,axiom,
    [--sym_p_2_4,++sym_q_3_4,++sym_q_2_3]).

input_clause(sym_s2_type1_45,axiom,
    [--sym_q_2_4,++sym_p_3_4,++sym_p_2_3]).

input_clause(sym_s2_type1_46,axiom,
    [--sym_q_2_4,++sym_p_3_4,++sym_q_2_3]).

input_clause(sym_s2_type1_47,axiom,
    [--sym_q_2_4,++sym_q_3_4,++sym_p_2_3]).

input_clause(sym_s2_type1_48,axiom,
    [--sym_q_2_4,++sym_q_3_4,++sym_q_2_3]).

input_clause(sym_s2_type1_49,axiom,
    [--sym_p_2_5,++sym_p_3_5,++sym_p_2_4]).

input_clause(sym_s2_type1_50,axiom,
    [--sym_p_2_5,++sym_p_3_5,++sym_q_2_4]).

input_clause(sym_s2_type1_51,axiom,
    [--sym_p_2_5,++sym_q_3_5,++sym_p_2_4]).

input_clause(sym_s2_type1_52,axiom,
    [--sym_p_2_5,++sym_q_3_5,++sym_q_2_4]).

input_clause(sym_s2_type1_53,axiom,
    [--sym_q_2_5,++sym_p_3_5,++sym_p_2_4]).

input_clause(sym_s2_type1_54,axiom,
    [--sym_q_2_5,++sym_p_3_5,++sym_q_2_4]).

input_clause(sym_s2_type1_55,axiom,
    [--sym_q_2_5,++sym_q_3_5,++sym_p_2_4]).

input_clause(sym_s2_type1_56,axiom,
    [--sym_q_2_5,++sym_q_3_5,++sym_q_2_4]).

input_clause(sym_s2_type1_57,axiom,
    [--sym_p_3_4,++sym_p_4_4,++sym_p_3_3]).

input_clause(sym_s2_type1_58,axiom,
    [--sym_p_3_4,++sym_p_4_4,++sym_q_3_3]).

input_clause(sym_s2_type1_59,axiom,
    [--sym_p_3_4,++sym_q_4_4,++sym_p_3_3]).

input_clause(sym_s2_type1_60,axiom,
    [--sym_p_3_4,++sym_q_4_4,++sym_q_3_3]).

input_clause(sym_s2_type1_61,axiom,
    [--sym_q_3_4,++sym_p_4_4,++sym_p_3_3]).

input_clause(sym_s2_type1_62,axiom,
    [--sym_q_3_4,++sym_p_4_4,++sym_q_3_3]).

input_clause(sym_s2_type1_63,axiom,
    [--sym_q_3_4,++sym_q_4_4,++sym_p_3_3]).

input_clause(sym_s2_type1_64,axiom,
    [--sym_q_3_4,++sym_q_4_4,++sym_q_3_3]).

input_clause(sym_s2_type1_65,axiom,
    [--sym_p_3_5,++sym_p_4_5,++sym_p_3_4]).

input_clause(sym_s2_type1_66,axiom,
    [--sym_p_3_5,++sym_p_4_5,++sym_q_3_4]).

input_clause(sym_s2_type1_67,axiom,
    [--sym_p_3_5,++sym_q_4_5,++sym_p_3_4]).

input_clause(sym_s2_type1_68,axiom,
    [--sym_p_3_5,++sym_q_4_5,++sym_q_3_4]).

input_clause(sym_s2_type1_69,axiom,
    [--sym_q_3_5,++sym_p_4_5,++sym_p_3_4]).

input_clause(sym_s2_type1_70,axiom,
    [--sym_q_3_5,++sym_p_4_5,++sym_q_3_4]).

input_clause(sym_s2_type1_71,axiom,
    [--sym_q_3_5,++sym_q_4_5,++sym_p_3_4]).

input_clause(sym_s2_type1_72,axiom,
    [--sym_q_3_5,++sym_q_4_5,++sym_q_3_4]).

input_clause(sym_s2_type1_73,axiom,
    [--sym_p_4_5,++sym_p_5_5,++sym_p_4_4]).

input_clause(sym_s2_type1_74,axiom,
    [--sym_p_4_5,++sym_p_5_5,++sym_q_4_4]).

input_clause(sym_s2_type1_75,axiom,
    [--sym_p_4_5,++sym_q_5_5,++sym_p_4_4]).

input_clause(sym_s2_type1_76,axiom,
    [--sym_p_4_5,++sym_q_5_5,++sym_q_4_4]).

input_clause(sym_s2_type1_77,axiom,
    [--sym_q_4_5,++sym_p_5_5,++sym_p_4_4]).

input_clause(sym_s2_type1_78,axiom,
    [--sym_q_4_5,++sym_p_5_5,++sym_q_4_4]).

input_clause(sym_s2_type1_79,axiom,
    [--sym_q_4_5,++sym_q_5_5,++sym_p_4_4]).

input_clause(sym_s2_type1_80,axiom,
    [--sym_q_4_5,++sym_q_5_5,++sym_q_4_4]).

input_clause(sym_s2_type21_1,axiom,
    [--sym_p_1_1,++sym_p_1_3]).

input_clause(sym_s2_type21_2,axiom,
    [--sym_p_2_2,++sym_p_2_4]).

input_clause(sym_s2_type21_3,axiom,
    [--sym_q_1_1,++sym_q_1_3]).

input_clause(sym_s2_type21_4,axiom,
    [--sym_q_2_2,++sym_q_2_4]).

input_clause(sym_s2_type22_1,axiom,
    [--sym_p_3_3,++sym_p_1_3]).

input_clause(sym_s2_type22_2,axiom,
    [--sym_p_4_4,++sym_p_2_4]).

input_clause(sym_s2_type22_3,axiom,
    [--sym_p_5_5,++sym_p_3_5]).

input_clause(sym_s2_type22_4,axiom,
    [--sym_q_3_3,++sym_q_1_3]).

input_clause(sym_s2_type22_5,axiom,
    [--sym_q_4_4,++sym_q_2_4]).

input_clause(sym_s2_type22_6,axiom,
    [--sym_q_5_5,++sym_q_3_5]).
%--------------------------------------------------------------------------
