%--------------------------------------------------------------------------
% File     : SYN102=DAPnt3-2.005 : Released v0.9.0, Updated v0.9.0.
% Domain   : Syntactic
% Problem  : Plaisted problem n(t(3,5),10)
% Version  : Theorem formulation : Size 5, 10 variables.
% English  : 

% Refs     : Plaisted D.A. (Unpublished), The Search Efficiency of
%            Theorem Proving Strategies.
% Source   : [Plaisted, Unpublished]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   93 (   0 non-Horn)(  20 units)
%            Number of literals          :  266 (   0 equality)
%            Number of predicate symbols :   32 (   0 propositions)
%            Number of function symbols  :    2 (   2 constants)
%            Number of variables         :  720 (   0 singletons)
%            Maximal clause size         :   11
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(n_s3_goal_1,theorem,
    [--p_0(a,a,a,a,a,a,a,a,a,a),
     --q_0(a,a,a,a,a,a,a,a,a,a)]).

input_clause(n_s3_type1_1,axiom,
    [++p_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_2,axiom,
    [++p_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_3,axiom,
    [++p_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_4,axiom,
    [++p_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_5,axiom,
    [++q_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_6,axiom,
    [++q_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_7,axiom,
    [++q_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_8,axiom,
    [++q_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_9,axiom,
    [++p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_10,axiom,
    [++p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_11,axiom,
    [++p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_12,axiom,
    [++p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_13,axiom,
    [++q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_14,axiom,
    [++q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_15,axiom,
    [++q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_16,axiom,
    [++q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_17,axiom,
    [++p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_18,axiom,
    [++p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_19,axiom,
    [++p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_20,axiom,
    [++p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_21,axiom,
    [++q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_22,axiom,
    [++q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_23,axiom,
    [++q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_24,axiom,
    [++q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_25,axiom,
    [++p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_26,axiom,
    [++p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_27,axiom,
    [++p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_28,axiom,
    [++p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_29,axiom,
    [++q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_30,axiom,
    [++q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_31,axiom,
    [++q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_32,axiom,
    [++q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_33,axiom,
    [++p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_34,axiom,
    [++p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_35,axiom,
    [++p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_36,axiom,
    [++p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_37,axiom,
    [++q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_38,axiom,
    [++q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_39,axiom,
    [++q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_40,axiom,
    [++q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_41,axiom,
    [++p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_42,axiom,
    [++p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_43,axiom,
    [++p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_44,axiom,
    [++p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_45,axiom,
    [++q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_46,axiom,
    [++q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_47,axiom,
    [++q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_48,axiom,
    [++q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_49,axiom,
    [++p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_50,axiom,
    [++p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_51,axiom,
    [++p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_52,axiom,
    [++p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_53,axiom,
    [++q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_54,axiom,
    [++q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_55,axiom,
    [++q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_56,axiom,
    [++q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_57,axiom,
    [++p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_58,axiom,
    [++p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_59,axiom,
    [++p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_60,axiom,
    [++p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_61,axiom,
    [++q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_62,axiom,
    [++q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_63,axiom,
    [++q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type1_64,axiom,
    [++q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type2_1,axiom,
    [++p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type2_2,axiom,
    [++p_10(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type2_3,axiom,
    [++q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_s3_type2_4,axiom,
    [++q_10(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10)]).

input_clause(n_t3_1,axiom,
    [++p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5),
     --q_6(X_6),
     --q_7(X_7),
     --q_8(X_8),
     --q_9(X_9),
     --q_10(X_10)]).

input_clause(n_t3_2,axiom,
    [++p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5),
     --q_6(X_6),
     --q_7(X_7),
     --q_8(X_8),
     --q_9(X_9),
     --q_10(X_10)]).

input_clause(n_t3_3,axiom,
    [++q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5),
     --q_6(X_6),
     --q_7(X_7),
     --q_8(X_8),
     --q_9(X_9),
     --q_10(X_10)]).

input_clause(n_t3_4,axiom,
    [++q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5),
     --q_6(X_6),
     --q_7(X_7),
     --q_8(X_8),
     --q_9(X_9),
     --q_10(X_10)]).

input_clause(n_1,axiom,
    [++q_1(a)]).

input_clause(n_2,axiom,
    [++q_1(b)]).

input_clause(n_3,axiom,
    [++q_2(a)]).

input_clause(n_4,axiom,
    [++q_2(b)]).

input_clause(n_5,axiom,
    [++q_3(a)]).

input_clause(n_6,axiom,
    [++q_3(b)]).

input_clause(n_7,axiom,
    [++q_4(a)]).

input_clause(n_8,axiom,
    [++q_4(b)]).

input_clause(n_9,axiom,
    [++q_5(a)]).

input_clause(n_10,axiom,
    [++q_5(b)]).

input_clause(n_11,axiom,
    [++q_6(a)]).

input_clause(n_12,axiom,
    [++q_6(b)]).

input_clause(n_13,axiom,
    [++q_7(a)]).

input_clause(n_14,axiom,
    [++q_7(b)]).

input_clause(n_15,axiom,
    [++q_8(a)]).

input_clause(n_16,axiom,
    [++q_8(b)]).

input_clause(n_17,axiom,
    [++q_9(a)]).

input_clause(n_18,axiom,
    [++q_9(b)]).

input_clause(n_19,axiom,
    [++q_10(a)]).

input_clause(n_20,axiom,
    [++q_10(b)]).
%--------------------------------------------------------------------------
